Quick Start to Network Administration

Network deployment of this program requires careful planning and execution. This section gives you quick, step-by-step instructions about how to prepare for deployment, set up a license server, and set up and distribute the program.

If you are not familiar with network administration and deployment, you should read the entire Network Administrator’s Guide before you attempt to deploy and administer the program over a network.

Topics in this section:

  • How to Prepare for Deployment
  • How to Set Up a License Server
  • How to Set Up and Distribute the Program
Comments?


How to Prepare for Deployment

Quick Start to Network Administration
Quick Start to Network Administration
How to Prepare for Deployment

To prepare for a deployment, you need to choose an installation type and a license server model.

Topics in this section:

  • How to Choose an Installation Type
  • How to Choose a License Server Model


How to Choose an Installation Type

Quick Start to Network Administration
Quick Start to Network Administration
How to Choose an Installation Type

When you set up your deployment, you need to choose the type of installation to deploy. In the Deployment wizard, you specify one of the following installation types:

  • Network license installation. With this type of installation, you install the program to workstations with the files and registry entries that allow the program to communicate with the Network License Manager. You also define the configuration of the Network License Manager so that the licenses can be accessed. Workstations running the program based on a network installation do not require individual activation. Licensing of this program is managed by at least one license server.
  • Stand-alone installation. Choose this type of installation for either stand-alone (a single serial number for a single user) or multi-seat stand-alone (a single serial number for multiple installations). For these installations, you do not use the Network License Manager to manage product licensing. For stand-alone installation, you install, register, and activate the program on each workstation. After the first activation using the multi-seat stand-alone serial number, activation occurs automatically for all workstations based on this deployment, as long as they are connected to the Internet. If you choose this installation type, you can proceed to the section How to Set Up and Distribute the Program.


How to Choose a License Server Model

Quick Start to Network Administration
Quick Start to Network Administration
How to Choose a License Server Model

If you chose the Network Installation option, you need to decide which license server model to use to distribute the product licenses. (If you are deploying a stand-alone or multi-seat stand-alone installation type, you do not use a license server model.)

For the network installation, use one of the following license server models:

  • Single license server model. The Network License Manager is installed on a single server, so license management and activity is restricted to this server. A single license file represents the total number of licenses available on the server.
  • Distributed license server model. Licenses are distributed across more than one server. A unique license file is required for each server. To create a distributed license server, you must run the Network License Manager on each server that is part of the distributed server pool.
  • Redundant license server model. You use three servers to authenticate a single license file. One server acts as the master, while the other two provide backup if the master server fails. With this configuration, licenses continue to be monitored and issued as long as at least two servers are still functional. The license file on all three servers is the same. You must install the Network License Manager on each server.

Each of these license server models is described in detail in the Network Licensing Guide. It is strongly recommended that you read that guide before you deploy the program. You can find the Network Licensing Guide on the Documentation tab of the Media Browser and in the Help system.


How to Set Up a License Server

Quick Start to Network Administration
Quick Start to Network Administration
How to Set Up a License Server

If you are planning to have users run the program using network licenses, you need to use the Network License Manager and the Network License Activation utility.

The Network License Manager helps you configure and manage license servers. The Network License Activation utility helps you get licenses and register them over the Internet.

Topics in this section:

  • How to Install the Network License Manager
  • How to Install and Use the Network License Activation Utility
  • How to Configure Your License Server


How to Install the Network License Manager

Quick Start to Network Administration
Quick Start to Network Administration
How to Install the Network License Manager

The Network License Manager is used to configure and manage the license servers.

To install your Network License Manager
  1. In the Media Browser, click the Install tab.
  2. On the Install tab, click Network Deployment.
  3. Under Install the Network License Components, click Network License Manager.
  4. On the Autodesk Network License Manager Setup page, click Next.
  5. On the License Agreement page, read the license agreement and click I Accept, and then click Next.

    6. Note If you do not agree to the terms of the license, click Cancel to cancel the installation.

  6. On the Destination Folder page, either accept the default folder (C:\Program Files\Autodesk Network License Manager\) or click Browse to specify a different location. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Next.

    7. Warning Do not install the Network License Manager on a remote drive. When you install the Network License Manager files, you must provide a path to a local drive. You must specify the drive letter; the universal naming convention (UNC) is not supported.

  7. On the Ready to Install the Application page, click Next to install the Network License Manager.
  8. Click Finish.


How to Install and Use the Network License Activation Utility

Quick Start to Network Administration
Quick Start to Network Administration
How to Install and Use the Network License Activation Utility

With the Network License Activation utility, you can obtain licenses over the Internet, which saves time and effort in setting up a network-licensed version of the program. In addition, you can register your product, get automated support for email if you cannot obtain a license over the Internet, and save and migrate license files automatically.

To install your Network License Activation utility
  1. In the Media Browser, click the Install tab.
  2. On the Install tab, click Network Deployment.
  3. Under Install the Network License Components, click Network License Activation Utility.
  4. On the AutoCAD 2006 Network License Activation Utility Setup page, click Next.
  5. On the License Agreement page, read the license agreement and click I Accept, and then click Next.

    6. Note If you do not agree to the terms of the license, click Cancel to cancel the installation.

  6. On the Destination Folder page, either accept the default folder (C:\Program Files\Autodesk Network License Manager\Network License Activation Utility\) or click Browse to specify a different location. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Next.
  7. On the Ready to Install the Application page, click Next to install the Network License Activation utility.
  8. Click Finish.
To use your Network License Activation utility
  1. On the Start menu (Windows), click All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] AutoCAD 2006 Network License Activation Utility.
  2. On the Obtain a Network License page, review how this utility works and the requirements for using it, and then click Next.
  3. On the Server Information page, enter the product serial number.

    4. Note If you are modifying an existing license file or obtaining a new license for an existing product, your previously entered information might be displayed. Make sure that the serial number that is displayed is the one you want to license. If it is not, enter the correct product serial number.

  4. In the License Server Model section, click a license server model. For more information about each license server model, click the ? button.
  5. In the Server Host Name box, enter a server host name or click the [...] button to locate the name of each server you plan to use.
  6. In the Host ID box, for each server host name you entered in the previous step, click Lookup to have the utility automatically locate the host ID for the server, or enter the host ID manually.

    7. Note If your server has more than one network adapter, select the one that corresponds to a physical network adapter. To determine which adapters are physical, type ipconfig /all at a Windows command prompt and view the Description field above each physical address. If there is more than one physical network adapter, you can use any one of them, as long as it was listed when you ran ipconfig /all. Logical devices such as VPN adapters, PPP adapters, and modems may be listed but are not usable for licensing.

  7. If you chose Distributed Server in step 4, the Seats box is displayed. In the Seats box, enter the number of seats for each license server, and then click Next.
  8. On the Confirm Server Information page, review the server information you entered, and click Next.
  9. If the Register and License Your Autodesk Product page is displayed, do all of the following, and then click Next.
    • In the This Product is To Be Registered To option, select Company or Individual.
    • In the Select Country or Region section, select your country or region of residence.
    • In the Is This an Upgrade section, select Yes or No.
  10. If the Registration Information page is displayed, enter your registration information, and then click Next.
  11. If the Confirm Information page is displayed, review your registration information, and then click Next.
  12. If the Connecting page is displayed, click Next to connect to the Internet to obtain your network license.
  13. On the Licenses Received page, in the Save License File for [computer name] dialog box, enter the location where you want to save your license file, or click Browse to navigate to the location.

    14. Note It is recommended that you save your license file to the location where you installed the Network License Manager.

  14. If you have an existing license file from another Autodesk product, select one of the following options:
    • Insert the New License Information Into It. Adds the new license information into the existing license file.
    • Overwrite the Existing License File. Replaces the entire contents of the existing license file with the new license information. Select this option only if you no longer require any part of the existing license file contents.
  15. Click Next.
  16. On the License Activation Successful page, click Print to save a printed copy of the license information, or click Done to complete the transaction and exit the Network Activation utility.


How to Configure Your License Server

Quick Start to Network Administration
Quick Start to Network Administration
How to Configure Your License Server

You configure a license server so that you can manage the Autodesk product licenses you received when you ran the Network License Activation utility. Configure the license server with the lmtools.exe utility.

To configure your license server
  1. On the Start menu (Windows), click All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] LMTOOLS.
  2. In the Lmtools program, on the Service/License File tab, select the Configure Using Services option.
  3. Click the Config Services tab.
  4. On the Config Services tab, in the Service Name list, select a service name or do one of the following:
    • If a service name is selected, verify that it is the one you want to use to manage licenses.
    • If no service name exists, enter the service name you want to use to manage licenses.

    Note If you have more than one software vendor using FLEXlm® for license management, the Service Name list contains more than one option.

  5. In the Path to Lmgrd.exe File box, enter the path to the Network License Manager daemon (lmgrd.exe), or click Browse to locate the file.

    6. By default, this daemon is installed in the \Program Files\Autodesk Network License Manager folder.

  6. In the Path to the License File box, enter the path to your license file, or click Browse to locate the file.
  7. In the Path to the Debug Log File box, enter a path to create a debug log, or click Browse to locate an existing log file.
  8. To run lmgrd.exe as a service, select Use Services.
  9. To automatically start lmgrd.exe when the system starts, select Start Server at Power Up.
  10. Click Save Service to save the new configuration under the service name you selected in step 4. Then click Yes.
  11. Click the Start/Stop/Reread tab.
  12. On the Start/Stop/Reread tab, click Start Server to start the license server. The license server starts running and is ready to respond to client requests.
  13. Close lmtools.exe.


How to Set Up and Distribute the Program

Quick Start to Network Administration
Quick Start to Network Administration
How to Set Up and Distribute the Program

Once you have prepared for deployment and you have used the Network License Manager and the Network License Activation utility, you are ready to set up and distribute this program by using the Deployment wizard and choosing a deployment method.

Topics in this section:

  • How to Create a Network Share
  • How to Install the Deployment Wizard
  • How to Use the Deployment Wizard to Set Up a Deployment
  • How to Deploy This Program


How to Create a Network Share

Quick Start to Network Administration
Quick Start to Network Administration
How to Create a Network Share

A network share is an installation folder that you make available to users’ computers on a network. Create a network share that will be used by the Deployment wizard during the creation of a client deployment. The network share is the location where you point users to install the program.

Note To create a network share, you must have Change and Read permissions. Users must have Read permissions to access the network share and administrative permissions on the workstation where the program is installed.

To create your network share
  1. Right-click the folder you want to share, and click Sharing and Security (or Sharing).
  2. In the <folder name> Properties dialog box, in the Sharing tab, select Share This Folder.
  3. Adjust any settings or permissions necessary, and then click OK.


How to Install the Deployment Wizard

Quick Start to Network Administration
Quick Start to Network Administration
How to Install the Deployment Wizard

The Deployment Wizard installer installs the files necessary to run the Deployment wizard in the location that you specify.

To install your Deployment wizard
  1. In the Media Browser, click the Install tab.
  2. On the Install tab, click either Multi-Seat Stand-Alone Deployment or Network Deployment.
  3. Under Install the Deployment Wizard, click Install.
  4. In the Deployment wizard, on the Welcome to the Deployment Wizard page, click Next.
  5. On the License Agreement page, read the license agreement and click I Accept, and then click Next.

    6. Note If you do not agree to the terms of the license, click Cancel to cancel the installation.

  6. On the Destination Folder page, choose where you want the Deployment wizard to be installed. Do one of the following:
    • Click Next to accept the default destination folder (C:\Program Files\Autodesk Deployment Wizard\).
    • Click Browse to specify a different drive and folder where you want the Deployment wizard installed, or enter a new path. Click OK, and then click Next.
  7. On the Ready to Install the Application page, click Next. The Deployment wizard is now installed to the location you specified.
  8. Click Finish.

Once you have installed the Deployment wizard, you can use it to set up a network deployment.


How to Use the Deployment Wizard to Set Up a Deployment

Quick Start to Network Administration
Quick Start to Network Administration
How to Use the Deployment Wizard to Set Up a Deployment

With the Deployment wizard, you create a deployment from which users can install the program on their computers.

Note The following procedure illustrates just one of the ways you can use the Deployment wizard to set up a deployment. This procedure details a single-server network deployment with a Typical client setup type and no customizations. For information about the full capabilities of the Deployment wizard, see Use the Deployment Wizard.

To use your Deployment wizard
  1. On the Start menu (Windows), click All Programs (or Programs) [image] Autodesk [image] Deployment Wizard.
  2. In the Deployment wizard, on the Welcome page, select Create an Administrative Image, and then click Next.
  3. On the Create Administrative Image page, in the Select Autodesk Installer (MSI) File box, enter a path to acad.msi (the MSI file you use as the basis for your administrative image), or click the [...] button to locate the file. The acad.msi file is located in CDROM:\BIN\ACADFeui.
  4. In the Administrative Image Location box, enter an existing shared network location where you want to create an administrative image, or click the [...] button to navigate to a location where there is a shared network location. Users install the program from this location. Click Next.

    5. Note If you do not know how to create a network share, see How to Create a Network Share.

  5. On the Create or Modify Deployment page, select Create a Deployment.
  6. In the Enter a Name for a New Deployment box, enter the new deployment’s name. The name you enter here is the name of the shortcut your users will access to install the product. Then click Next.
  7. On the Write to Log page, in the Directory Where Log Is Written box, enter a UNC (universal naming convention) path to the folder where you want the network log to be located.

    8. Note The folder where the network log resides must be a shared folder where users who install the program have Change permissions. Otherwise, successes or failures for user installations cannot be written to the log file.

  8. If you want to create a client log, under Client Log, select the Create Client Log option, and then click Next.
  9. On the Select Installation Type page, select the Network Installation option, and then click Next.
  10. On the Server Configuration page, select Single License Server. Click Next.

    11. Note For complete instructions on all installation and server types, see Select an Installation Type.

  11. On the Single Server Configuration page, enter the name of the server that will run the Network License Manager, or click the [...] button to locate the server.
  12. In the Server Host ID box, enter the host ID, or click Lookup to have it entered automatically. Then click Next.
  13. On the Client Installation Location page, in the Client Installation Path box, enter the path on the client workstation where you want to install the program. The default installation path is C:\Program Files\AutoCAD 2006.
  14. If you want to prevent users from changing your installation settings when they install the product, select Client Installations Will Be Run in Silent Mode. Then click Next.
  15. On the Client Setup Type page, select Typical. Click Next.
  16. On the Install Optional Tools page, click Next.
  17. On the Additional Client Settings page, click Next.
  18. On the Search Paths and File Locations page, click Next.
  19. On the Install Additional Files page, click Next.
  20. On the Serial Number page, enter the serial number for this product. Then click Next.
  21. On the Personal Information page, enter the information requested. Then click Next.

    22. Note The Personal Information page is used to personalize this program for you or your company. The information you enter here is permanent and is displayed in the About AutoCAD 2006 window (accessed by using Help [image] About) on all workstations that install your deployment. Because you can't change this information later without uninstalling the product, make sure you enter the correct information now.

  22. On the Live Update page, click Next.
  23. On the DC Online page, click Next.
  24. On the Subscription Center Access page, click Next:
  25. On the Setup Confirmation page, verify your installation choices, and then click Next.

    26. If you want to change any choices you made for the deployment, use the Back button.

    Note You can save the installation information displayed on this page by selecting the text, copying it, and pasting it into a text file (such as one created in Notepad). Then save the text file to the same location and with the same name that you chose for the deployment. It is recommended that you do this if you want to have a reference to all the choices you made for a deployment.

  26. On the Setup Complete page, click Finish.


How to Deploy This Program

Quick Start to Network Administration
Quick Start to Network Administration
How to Deploy This Program

You can choose from several methods of deploying the program. Network sharing is the default method.

  • Network Share. Users launch the shortcut that you created in the Deployment wizard, in step 4 of the procedure How to Use the Deployment Wizard to Set Up a Deployment (for example: \\Server1\Autodesk\deployment\AutoCAD 2006). The program is installed on users’ local computers, and a product icon appears on their desktop.

Note Users must have Read permissions to access the network share and administrative permissions on the workstation where this program is installed.

  • MS Advertising. See Advertise a Deployment.
  • Scripting. See Use Scripts to Deploy the Program.
  • Group Policy Objects (GPOs). See Use Group Policies to Install a Deployment.
  • Microsoft System Management Server (SMS). See Use Microsoft Systems Management Server to Install a Deployment.
  • Remote Installation Services (RIS). See Use Remote Installation Services to Install a Deployment.


System Requirements

This section contains the system requirements for the location of the administrative image that you create, the network license server, and the client workstation.

Topics in this section:

  • System Requirements for This Program


System Requirements for This Program

System Requirements
System Requirements
System Requirements for This Program

Before you begin installing the program on a network, make sure that your servers and client workstations meet the minimum recommended hardware and software requirements for a deployment.

See the following tables for administrative image, license server, and client workstation system requirements.

Hardware and software requirements for the location of the administrative image
Hardware/Software | Requirement | Notes
Hard disk | 500 MB (recommended) | The location where you create the administrative image must be a shared location so that users can access the administrative image.

Hardware and software requirements for the network license server
Hardware/Software | Requirement | Notes
Operating system | Windows 2003 Server Edition Windows XP Professional, Service Pack 1 or 2 Windows 2000 Server Edition Windows 2000, Service Pack 4 | The Network License Manager supports Ethernet network configurations only.
Computer/processor | Pentium III or later 450 Mhz (minimum) |
Network interface card | Compatible with existing Ethernet network infrastructure | The Network License Manager supports multiple network interface cards.
Communication protocol | TCP/IP | The Network License Manager uses TCP packet types.

Hardware and software requirements for the client workstation

Hardware/Software

Requirement

Notes

Operating

system

Windows XP Professional, Service Pack 1 or 2

Windows XP Home, Service Pack 1 or 2

Windows XP Tablet PC

Windows 2000, Service Pack 4

It is recommended that non-English language versions of this program be installed on an operating system with a user interface language that matches the code page of the program’s language. A code page provides support for character sets used in different languages.

You must have administrative permissions to install this program.

Web browser

Microsoft Internet Explorer 6.0 with Service Pack 1 (or later)

You cannot install the program if Microsoft Internet Explorer 6.0 with Service Pack 1 (or later) is not installed on the installation workstation. You can download Internet Explorer from the Microsoft website: http://www.microsoft.com/downloads

Computer/processor

Pentium III or later

800 Mhz

RAM

512 MB (recommended)

Video

1024 x 768 VGA with True Color (minimum)

Requires a Windows-supported display adapter.

Hard disk

Installation 500 MB

Pointing

device

Mouse, trackball, or other device

Network interface card

Compatible with existing Ethernet network infrastructure

A network interface card is required for users to access the network share where the deployment is and from where this program will be installed.

Optional

hardware

Open GL-compatible 3D video card

Printer or plotter

Digitizer

Modem or access to an Internet connection

The OpenGL driver that comes with the 3D graphics card must have the following:

  • Full support of OpenGL or later.
  • An OpenGL Installable Client Driver (ICD). The graphics card must have an ICD in its OpenGL driver software. The miniGL driver provided with some cards is not sufficient for use with this program.


Deploy the Program

In this section, you learn how to install the Deployment wizard to a computer. You then use the wizard to create or modify the deployment, with which your users install the program on their workstations.

Topics in this section:

  • Preliminary Tasks for a Network Deployment
  • Install the Deployment Wizard
  • Use the Deployment Wizard
  • Point Users to the Administrative Image
  • Uninstall the Program


Preliminary Tasks for a Network Deployment

Deploy the Program
Deploy the Program
Preliminary Tasks for a Network Deployment

Installing this program on a network requires careful planning and execution. The type of installation you choose to deploy can differ depending on your network infrastructure and requirements for client use.

You can choose from the following installation types in the Deployment wizard:

  • Stand-alone installation (a single serial number for a single user). You do not use the Network License Manager to manage product licensing. For stand-alone installation, you install, register, and activate the program on each workstation.
  • Multi-seat stand-alone installation. Registration data is gathered on the Register Today pages of the Deployment wizard. After the first activation using the multi-seat stand-alone serial number, activation occurs for all workstations based on this deployment, as long as the workstations are connected to the Internet. In the Deployment wizard, select Stand-Alone Installation.
  • Network license installation. With this type of installation, you install the program to workstations with the files and registry entries that allow the program to communicate with the Network License Manager. You also define the configuration of the Network License Manager so that the licenses can be accessed. Workstations running the program based on a network installation do not require individual activation. Licensing of this program is managed by at least one license server.

You must perform the following tasks before you run the Deployment wizard.

  • Verify system requirements. Make sure that your network, servers, and workstations meet the system requirements. See System Requirements for This Program.
  • Install and activate the Network License Manager. If you plan to have users run the program with network licenses, read the Network Licensing Guide for detailed information about how to set up your license servers. The Network Licensing Guide is available on the Media Browser and in the Help system.
  • Create a network share. A network share is an installation folder that you make available to users’ computers on a network. Create a network share that will be used by the Deployment wizard during the creation of a client deployment. The network share is the location where you point users to install the program. If you do not know how to create a network share, see How to Create a Network Share.

    • Note To create a network share, you must have Change and Read permissions. Users must have Read permissions to access the network share and administrative permissions on the workstation where the program is installed.

When you have completed these tasks, you are ready to install and run the Deployment wizard.


Install the Deployment Wizard

Deploy the Program
Deploy the Program
Install the Deployment Wizard

The Deployment Wizard installer installs the files necessary to run the Deployment wizard in the location that you specify. After you install the Deployment wizard, you run DeployWiz.exe to create a network deployment.

To install the Deployment wizard
  1. In the Media Browser, click the Install tab.
  2. On the Install tab, click either Multi-Seat Stand-Alone Deployment or Network Deployment.
  3. Under Install the Deployment Wizard, click Install.
  4. In the Deployment wizard, on the Welcome to the Deployment Wizard page, click Next.
  5. On the License Agreement page, read the license agreement and click I Accept, and then click Next.

    6. Note If you do not agree to the terms of the license, click Cancel to cancel the installation.

  6. On the Destination Folder page, you choose where you want the Deployment wizard to be installed. Do one of the following:
    • Click Next to accept the default destination folder (C:\Program Files\Autodesk Deployment Wizard\).
    • Click Browse to specify a different drive and folder where you want the Deployment wizard installed, or enter a new path. Click OK, and then click Next.
  7. On the Ready to Install the Application page, click Next. The Deployment wizard is now installed to the location you specified.
  8. Click Finish.

Once you have installed the Deployment wizard, you can use it to set up a network deployment.


Use the Deployment Wizard

Deploy the Program
Deploy the Program
Use the Deployment Wizard

With the Deployment wizard, you create a deployment from which users can install the program on their computers. You make choices in the Deployment wizard to create various client deployment images and deployment types that meet user requirements and company needs.

Note With the Deployment wizard, you can create a deployment of any AutoCAD 2006-, AutoCAD 2005-, or AutoCAD 2004-based product.

Use the Deployment wizard to do any of the following:

  • Create or modify a deployment.
  • Apply a patch to a deployment.
  • Add customized files to a deployment.
  • Change search paths and file locations.

Note Because the Deployment wizard provides you with numerous options for creating and customizing your deployments, there are many wizard pages you need to complete and choices you must make. You should set aside ample time to complete the Deployment wizard in one sitting. In addition, make sure you have completed the required preliminary tasks before you begin the Deployment wizard. See Preliminary Tasks for a Network Deployment for more information about preparatory tasks.

When you use the Deployment wizard, you can do the following:

  1. Start the Deployment Wizard
  2. Create or Modify an Administrative Image
  3. Create or Modify a Deployment
  4. Specify Log File Locations
  5. Select an Installation Type
  6. Select a Client Installation Location
  7. Select a Client Setup Type
  8. Install Optional Tools (optional)
  9. Install Additional Client Settings (Optional)
  10. Select Search Paths and File Locations (optional)
  11. Install Additional Files (optional)
  12. Enter the Product Serial Number
  13. Enter Personal Information
  14. Turn on Live Update Options (optional)
  15. Turn on DesignCenter Online (optional)
  16. Turn on Subscription Center (optional)
  17. Complete Register Today
  18. Confirm and Complete Setup

    Topics in this section:

    • Start the Deployment Wizard
    • Create or Modify an Administrative Image
    • Create or Modify a Deployment
    • Specify Log File Locations
    • Select an Installation Type
    • Select a Client Installation Location
    • Select a Client Setup Type
    • Install Optional Tools (optional)
    • Install Additional Client Settings (Optional)
    • Select Search Paths and File Locations (optional)
    • Install Additional Files (optional)
    • Enter the Product Serial Number
    • Enter Personal Information
    • Turn on Live Update Options (optional)
    • Turn on DesignCenter Online (optional)
    • Turn on Subscription Center (optional)
    • Complete Register Today
    • Confirm and Complete Setup


Start the Deployment Wizard

Deploy the Program
Deploy the Program
Start the Deployment Wizard

Once you have installed the Deployment wizard, you run it to set up a deployment. For more information about installing the Deployment wizard, see Install the Deployment Wizard.

To start the Deployment wizard
  • On the Start menu (Windows), click All Programs (or Programs) [image] Autodesk [image] Deployment Wizard.


Create or Modify an Administrative Image

Deploy the Program
Deploy the Program
Create or Modify an Administrative Image

With the Deployment wizard, you can create a new administrative image or modify an existing one. An administrative image is a collection of shared file resources created by the Deployment wizard and used by deployments to install the program to network workstations.

Create an administrative image. When you create an administrative image, you specify a network location where you want the image to reside. This location is where users can go to install the product.

Modify an administrative image. When you modify an administrative image, you select an existing administrative image and apply changes to it. For example, you can apply a patch or select various custom files that are not part of the base administrative image. You can also perform modifications such as changing the installation directory from drive C to drive D.

To create an administrative image
  1. In the Deployment wizard, on the Welcome page, select Create an Administrative Image, and then click Next.

  2. On the Create Administrative Image page, in the Select Autodesk Installer (MSI) File box, enter the path to acad.msi (the MSI file you use as the basis for your administrative image), or click the [...] button to locate the file. This file is found on your product CD. The acad.msi file is located in CDROM:\BIN\ACADFeui.
  3. In the Administrative Image Location box, enter an existing shared network location where you want to create an administrative image, or click the [...] button to navigate to a location. Users install the program from this location.
  4. If you want to apply a patch to an administrative image when you create it, do the following:
    • Select the Apply a Patch (Service Pack) to This Image option.
    • Enter the path to the patch in the Select Patch box (including the extension .msp), or click the [...] button to locate the MSP file.

    The patch file is usually contained in the service pack executable (.exe) that you download from the Autodesk website. To extract the MSP file from the executable, run the patch program from the Windows command prompt using the /e switch. Note the location where the files are extracted.

    Note To find out if a patch is available, visit the Autodesk Product Support page at http://support.autodesk.com/.

  5. Click Next to go to the Create or Modify Deployment page.
To modify an administrative image
  1. In the Deployment wizard, on the Welcome page, select Modify an Administrative Image, and then click Next.

  2. On the Modify Administrative Image page, in the Select an MSI File box, select an existing Autodesk installer file (MSI) from an existing shared network location that contains the administrative image you want to modify. Users install the program from this location.

  3. If you want to apply a patch to an administrative image when you modify it, do the following:
    • Download the patch from the Autodesk product support site and review the patch Readme file for information about patch usage. To use a patch while creating an administrative image, it must be in the form of an MSP file.
    • Select the Apply a Patch (Service Pack) to This Image option.
    • Enter the path to the patch in the Select Patch box (including the extension .msp), or click the [...] button to locate the MSP file.

    The patch file is usually contained in the service pack executable that you download from the Autodesk website. To extract the MSP file from the executable, run the patch program from the Windows command prompt using the /e switch. Note the location where the files are extracted. For details about using the patch file, review the Readme file for that patch.

    Note To find out if a patch is available, visit the Autodesk Product Support page at http://support.autodesk.com/.

  4. Click Next to go to the Create or Modify Deployment page.


Create or Modify a Deployment

Deploy the Program
Deploy the Program
Create or Modify a Deployment

A deployment contains a Microsoft Transform (MST) file that modifies the default behavior of the installation program. You can use the Deployment wizard to create or modify a deployment.

Create a deployment. You create a new deployment. The name you select for this deployment is the name of the shortcut that users point to when they install the deployment. It is also the name given to the transform (MST) file.

Modify a deployment. You make changes to an existing deployment. This option is available only if a deployment already exists. The name you select for this deployment is the name of the shortcut that users point to when they install the deployment.

To create a deployment
  1. In the Deployment wizard, on the Create or Modify Deployment page, select Create a Deployment.

  2. In the Enter a Name for a New Deployment box, enter the new deployment’s name. The name you enter here is the name of the shortcut your users will access to install the product.
  3. Click Next to go to the Write to Log page.
To modify a deployment
  1. In the Deployment wizard, on the Create or Modify Deployment page, select Modify a Deployment.

  2. In the Select a Deployment to Modify list, select the deployment that you want to modify.
  3. Click Next to go to the Write to Log page.


Specify Log File Locations

Deploy the Program
Deploy the Program
Specify Log File Locations

The program has two types of log files with which you can monitor information about deployments and installations.

  • Network log. The network log file keeps a record of all workstations that run the deployment. Refer to this file for status information and details about problems that users may have encountered during installation (for example, low disk space or inadequate permissions). The network log is named with the same name you chose for your deployment. You can specify where the log file is created by entering a valid UNC (universal naming convention) path on your network.

    • Note The folder where the network log resides must be a shared folder where users who install the program have Change permissions. Otherwise, successes or failures for user installations cannot be written to the log file.

  • Client log. The client log contains detailed installation information for each workstation. This information may be useful in diagnosing installation problems. The client log is located in the Temp directory of each client workstation. The client log is named with the same name you chose for your deployment.
To specify a log file location
  1. In the Deployment wizard, on the Write to Log page, in the Directory Where Log Is Written box, enter a folder where you want the network log to be located.

  2. If you want to create a client log, under Client Log, select the Create Client Log option.
  3. Click Next to go to the Select Installation Type page.


Select an Installation Type

Deploy the Program
Deploy the Program
Select an Installation Type

When you set up your deployment, you need to choose the type of installation to deploy. In the Deployment wizard, you specify one of the following installation types:

  • Network license installation. With this type of installation, you install the program to workstations with the files and registry entries that allow the program to communicate with the Network License Manager. You also define the configuration of the Network License Manager so that licenses can be accessed. Workstations running the program based on a network installation do not require individual activation. Licensing of the program is managed by at least one license server.
  • Stand-alone installation. Choose this type of installation for either stand-alone (a single serial number for a single user) or multi-seat stand-alone (a single serial number for multiple installations). For these installations, you do not use the Network License Manager to manage product licensing. For stand-alone installations, you install, register, and activate the program on each workstation. For multi-seat stand-alone installations, workstations running the program do not require individual registration and activation. After the first activation using the multi-seat stand-alone serial number, activation occurs automatically for all workstations based on this deployment, as long as they are connected to the Internet.

    • Note If you have a multi-seat stand-alone serial number, you can use a single license for multiple seats of the program.

To select a network license installation type
  1. In the Deployment wizard, on the Select Installation Type page, select the Network Installation option. Click Next.

  2. On the Server Configuration page, select the license server model you want to use with the Network License Manager.

    3. Your choices are as follows:

    • Single license server
    • Distributed license server
    • Redundant license server

    If you have already used the Network License Manager to create a license server model, you must select the same license server model in this step. If you have not yet used the Network License Manager to create a license server model, make sure that you select the same settings in the Network License Manager that you choose here.

    For detailed information about license server models, see “License Server Models” in the Network Licensing Guide, located in the Help system and on the Documentation tab of the Media Browser.

  3. If you chose Single License Server in step 2 of this procedure, on the Single Server Configuration page, enter the server name of the server that will run the Network License Manager, or click the [...] button to locate the server. In the Server Host ID box, enter the host ID, or click Lookup to have it entered automatically. Click Next to go to the Client Installation Location page.

  4. If you chose Distributed License Server in step 2 of this procedure, on the Distributed Server Configuration page, in the Server Name box, enter the name of one of the servers that will run the Network License Manager, or click the [...] button to locate the server. In the Server Host ID box, enter the corresponding host ID, or click Lookup to have it entered automatically, or click Add to add a server host ID. In the Server Pool list, use the Up and Down arrow buttons to arrange the servers in the order you want them to be searched by a user’s workstation. The host ID for each server appears in parentheses next to the server name. You must enter information for at least two servers. Click Next to go to the Client Installation Location page.

  5. If you chose Redundant License Server in step 2 of this procedure, on the Redundant Server Configuration page, in the First Server Name box, enter a server name of one server that will run the Network License Manager, or click the [...] button to locate the server. In the First Server Host ID box, enter a corresponding host ID. Click Lookup to have it entered automatically. Enter the server name and server host IDs for the remaining two servers that you will use in the redundant server pool. Click Next to go to the Client Installation Location page.

    6. Note If you are not sure how to obtain the server host name and server host ID information, see “Plan Your License Server Configuration” in the Network Licensing Guide. The Network Licensing Guide is located in the Help system and on the Documentation tab of the Media Browser.

To select a stand-alone or multi-seat stand-alone installation type
  1. In the Deployment wizard, on the Select Installation Type page, select Stand-Alone Installation.

  2. Click Next to go to the Client Installation Location page.


Select a Client Installation Location

Deploy the Program
Deploy the Program
Select a Client Installation Location

You choose the location where program files are installed on the client workstation. By default, files are installed to C:\Program Files\AutoCAD 2006.

To select a client installation location
  1. In the Deployment wizard, on the Client Installation Location page, in the Client Installation Path box, enter the path on the client workstation where you want to install the program. (The default installation path is C:\Program Files\AutoCAD 2006).

  2. If you want to prevent users from changing your installation settings when they install the product, select Client Installations Will Be Run in Silent Mode.
  3. Click Next to go to the Client Setup Type page.


Select a Client Setup Type

Deploy the Program
Deploy the Program
Select a Client Setup Type

As part of making your deployment choices, you select the type of installation features that users receive when they install the program.

  • Typical. Installs the most common application features. This option is recommended for most users.
  • Custom. Installs only the application features that you select.
To select a client setup type
  1. In the Deployment wizard, on the Client Setup Type page, select the type of installation that you want: Typical or Custom. Click Next.

  2. If you chose the Custom installation type in the previous step, the Select Features page is displayed. Here, you can choose those features that you want to install. Select the feature or features that you want to install, and then click Next.

    3. Your choices are as follows:

    • Database. Contains database access tools.
    • Dictionaries. Contains multilanguage dictionaries.
    • Drawing Encryption. Allows you to use the Security Options dialog box to protect a drawing with a password.
    • Express Tools. Contains support tools and utilities.
    • Fonts. Contains program fonts and True Type fonts.
    • Migrate Custom Settings. Allows you to migrate custom settings and files from previous releases. For details about migrating custom settings, see the topic “Migrate Custom Settings” in the Stand-Alone Installation Guide.
    • New Features Workshop. Contains animated demos, exercises, and sample files to help users learn new features.
    • Portable License Utility. Contains a tool for moving a stand-alone license between computers (available only with stand-alone deployments).
    • Reference Manager. Allows users to view and edit the paths of externally referenced files associated with a drawing.
    • Samples. Contains various feature sample files.
    • Texture Maps. Contains textures that can be mapped to objects.
    • VBA Support. Contains Microsoft Visual Basic for Applications support files.
    • CAD Standards. Contains tools for reviewing design files for compliance with your standards.


Install Optional Tools (optional)

Deploy the Program
Deploy the Program
Install Optional Tools (optional)

On the Install Optional Tools page, you can choose some optional tools to use for your deployment.

  • Install Express Tools. You can install Express Tools with this deployment. This option is selected by default. Express Tools are available in their original form, in English only, and are not supported. No updates have been made to the tools. Double-byte characters are not supported.
  • Install 3D DWF Publish. You can choose to have 3D DWF Publish installed with this deployment. This option is selected by default. 3D DWF Publish is a technology preview. The unsupported 3DDWFPUBLISH command publishes single-sheet DWF files.
To install optional tools
  1. In the Deployment wizard, on the Install Optional Tools page, clear the check box for the Install Express Tools and Install 3D DWF Publish options if you do not want to install either tool with this deployment.

  2. Click Next to go to the Search Paths and File Locations page.


Install Additional Client Settings (Optional)

Deploy the Program
Deploy the Program
Install Additional Client Settings (Optional)

On the Install Additional Client Settings page, you can specify whether installations based on this deployment can proceed if Microsoft Internet Explorer is not installed, specify a default profile name, and display the product shortcut icon on the desktop.

To install additional client settings
  1. In the Deployment wizard, on the Install Additional Client Settings page, clear the check box for the Internet Explorer Required for Installations option if you do not require Microsoft Internet Explorer to be installed before AutoCAD is installed.
  2. In the Profile Name box, specify a default profile name that will be current for all users who run the deployment.
  3. Clear the check box for Display the AutoCAD 2006 Shortcut on User Desktop if you do not want the product shortcut icon to appear on the user’s desktop.
  4. Click Next.


Select Search Paths and File Locations (optional)

Deploy the Program
Deploy the Program
Select Search Paths and File Locations (optional)

On the Search Paths and File Locations page, you can modify the default search paths and the location of some program files. You might want to modify the default settings shown here for the following reasons:

  • If your CAD environment uses a file (such as a customization file) other than the default file that’s installed with the program, you can point to that file now and avoid having to add it at each workstation.
  • Some default file locations may have changed in this version of the program. You can use this page if you have an earlier version of the program and you want to move the files to the same file location as your earlier version of the program.

Note You can also modify the search paths and file locations for individual workstations after you have installed the program. You do this by using the Options dialog box. For more information, see “Set Interface Options” in the User’s Guide.

You have two choices on this page.

  • Use Application Defaults. Retains the default program settings for search paths and file locations.
  • Modify Defaults. Allows you to modify the default settings for search paths and file locations.

To use the default program settings for search paths and file locations
  • In the Deployment wizard, on the Search Paths and File Locations page, make sure that Use Application Defaults is selected. Click Next to go to the Install Additional Files page.
To modify the default program settings for search paths and file locations
  1. In the Deployment wizard, on the Search Paths and File Locations page, select Modify Defaults.
  2. Click Specify Settings.
  3. In the Specify Settings dialog box, in the Search Paths, File Names, and File Locations list, click the plus sign (+) to the left of a search path or file location to select and expand it.

  4. Select an item in the list and do any of the following:
    • To browse to a file location, click Browse.
    • To add a new entry to the currently selected search path or file location, click Add.
    • To remove an entry from the currently selected search path or file location, click Remove.
    • To move a selection up or down in the list, click Move Up or Move Down.

    Note The availability of these buttons depends on the item that you selected in the previous step.

  5. When you finish specifying search paths or file locations, click OK.
  6. On the Search Paths and File Locations page, click Next to go to the Install Additional Files page.


Install Additional Files (optional)

Deploy the Program
Deploy the Program
Install Additional Files (optional)

On the Install Additional Files page, when you click Select Files, you can specify additional files to include with a deployment. By default, these files are installed in the program’s Installation directory on client workstations when the deployment is run. You can install files to multiple directories if desired.

You can perform the following operations:

  • Specify additional files (such as drawing files, AutoLISP® routines, or script files) to include with your deployment.
  • Install different types of files to different workstation directories.
  • Add subdirectories under the installation directory (for example, a folder called LSP to contain custom AutoLISP routines).
  • Add files to the same location as program files (for example, add sample drawings for a project).
  • Add files to the root of the installation directory (for example, C:\Draw).

Note It is recommended that you install these files to a location within the program’s directory structure. You cannot install files with the same file name as an installed program file. For example, you cannot add a file named acad.cui.

To install additional files
  1. In the Deployment wizard, on the Install Additional Files page, click Select Files.

    2. In the Select Files to Install dialog box, in the Add Files To list, you can add folders, drives, and files to the installation directory of a deployment.

  2. Do any of the following:
    • Click Select Files to open the Add Files dialog box, where you can select files to add to the installation directory.
    • Click Add Folder to create a new folder in the installation directory.
    • Click Add Drive to create a new drive name in the installation directory.
    • Click Remove to delete a file, folder, or drive from the installation directory.
  3. Click OK.
  4. In the Deployment wizard, on the Install Additional Files page, click Next to go to the Serial Number page.


Enter the Product Serial Number

Deploy the Program
Deploy the Program
Enter the Product Serial Number

You must enter your product serial number in the Deployment wizard in order to run the product. The product serial number is located on the product packaging. The serial number must contain a three-digit prefix followed by an eight-digit number.

To enter your product serial number
  1. In the Deployment wizard, on the Serial Number page, enter the serial number for this product.

  2. Click Next to go to the Personal Information page.


Enter Personal Information

Deploy the Program
Deploy the Program
Enter Personal Information

The Personal Information page is used to personalize the program for your company. The information you enter here is permanent and is displayed in the About <product name> window (accessed by using Help [image] About) on all workstations that install your deployment. Because you can’t change this information later without uninstalling the product, make sure you enter the correct information now.

To enter personal information
  1. In the Deployment wizard, on the Personal Information page, enter the information requested.

    2. Note Although it is required that you enter information in each box on this page, you can enter any information that you want to convey to users who install the deployment.

  2. Click Next to go to the Live Update page.


Turn on Live Update Options (optional)

Deploy the Program
Deploy the Program
Turn on Live Update Options (optional)

Products are updated with Live Update, which downloads patches to your product using Communication Center. Users can use Live Update to check for updates when a web connection is established. If a product patch is available, notification of its availability is received on the program’s status bar, and the patch can be either downloaded directly from an Autodesk server or modified first before being copied to users’ workstations. If you don’t want users to receive updates or announcements, you can turn off Live Update.

Note You can also turn Live Update options on or off in the CAD Manager Control utility, which you can access on the Install tab of the Media Browser.

To turn Live Update options on or off
  1. In the Deployment wizard, on the Live Update page, select one of the following:
    • Disable Live Updates. With this option selected, users cannot receive product updates or support announcements from Autodesk servers.
    • Receive Live Updates from Autodesk. With this option selected, users can receive product updates and support announcements from Autodesk servers with Live Update.
    • Receive Live Updates from Internal Server. With this option selected, you can maintain a patch list on a local server. If you select this option, the Local Patch List Location box is available. Use the [...] button to locate the path to a server location where you want a patch list to be located. More information about how to use a local patch list is available by installing Autodesk CAD Manager Tools 3.0 (available on the Media Browser), running the CAD Manager Control utility, and then clicking Help in the CAD Manager Control utility window.

      • Note You can name a text file that will be used to enter the patch information. By naming a file and using a .txt extension now, you are creating a placeholder file, not creating the file itself. In the location that you specify in the Local Patch List Location box, you must create a text file with the same name you specify here.

  2. Click Next to go to the DC Online page.


Turn on DesignCenter Online (optional)

Deploy the Program
Deploy the Program
Turn on DesignCenter Online (optional)

The DC Online tab in DesignCenter™ provides access to predrawn content such as blocks, symbol libraries, manufacturers’ content, and online catalogs. This content can be used in common design applications to assist users in creating drawings. If you turn off DC Online, the DC Online tab is removed from all installations that are based on this deployment. The Disable DC Online option is turned off by default.

Note You can also turn DesignCenter Online on or off in the CAD Manager Control utility, which you can access on the Install tab of the Media Browser.

To turn Design Center Online on or off
  1. In the Deployment wizard, on the DC Online page, do one of the following:
    • To turn off DesignCenter Online, make sure that the check box next to Disable DC Online is selected.
    • To turn on DesignCenter Online, clear the check box next to Disable DC Online.

  2. Click Next.


Turn on Subscription Center (optional)

Deploy the Program
Deploy the Program
Turn on Subscription Center (optional)

Subscription Center provides Autodesk subscription members access to resources such as e-Learning (self-paced, interactive lessons) and web support (where customers can submit technical questions online to Autodesk support staff).

You can determine whether users who are entitled to subscription resources can access them by using Help and clicking a Subscription resource. Users who do not have such access can still learn about subscription resources by using the same option on the Help menu.

Note You can also turn Subscription Center access on or off in the CAD Manager Control utility, which you can access on the Install tab of the Media Browser.

To turn access to Subscription Center on or off
  1. In the Deployment wizard, on the Subscription Center Access page, select or clear the check box next to Allow Access to Subscription Center from Within the Autodesk Product (Recommended). This option is selected by default.

  2. Click Next.

If you chose to run a stand-alone installation type, the Register Today page is displayed. If you did not choose to run a stand-alone installation, the Setup Confirmation page is displayed.


Complete Register Today

Deploy the Program
Deploy the Program
Complete Register Today

If you chose to run a stand-alone installation (single user or multi-seat stand-alone) type, the Register Today page is now displayed. You complete Register Today at this point so that all users have the same default registration information.

In the Register Today wizard, follow the on-screen instructions to complete the registration. When you are finished registering, the Setup Confirmation page is displayed.


Confirm and Complete Setup

Deploy the Program
Deploy the Program
Confirm and Complete Setup

To complete your deployment setup, you must confirm the settings you selected in the Deployment wizard.

To confirm and complete the setup of the deployment
  1. In the Deployment wizard, on the Setup Confirmation page, verify your installation selections.
  2. If you want to change any selections you made for the deployment, use the Back button.
  3. If you are ready to complete the deployment, on the Setup Confirmation page, click Next.

    4. Note You can save the installation information displayed on this page by selecting the text, copying it, and pasting it into a text file (such as one created in Notepad). Then save the text file to the same location and with the same name that you chose for the deployment. It is recommended that you do this if you want to have a reference to all the choices you made for a deployment.

  4. In the Deployment wizard, on the Setup Complete page, click Finish.

Congratulations! You have created an Autodesk product deployment with precise options that are specific to your group of users. You can now inform those using this deployment where the administrative image is located so that they can install the program.


Point Users to the Administrative Image

Deploy the Program
Deploy the Program
Point Users to the Administrative Image

When you have completed the Deployment wizard, you are ready to have users install the newly created or modified deployment. You need to notify your users of the shortcut that was created in the administrative image. The shortcut is the same name that you chose in Create or Modify a Deployment.

To point users to the administrative image
  • The simplest method of notifying users how to install the deployment is to email them with instructions about using the shortcut. At a minimum, the instructions need to include the location of the deployment and instructions about double-clicking the shortcut to the deployment.

Note For more advanced ways of using the shortcut and installing the deployment, see Advertise a Deployment Using MSI, Use Scripts to Deploy the Program, Use Group Policies to Install a Deployment, Use Microsoft Systems Management Server to Install a Deployment, or Use Remote Installation Services to Install a Deployment.


Uninstall the Program

Deploy the Program
Deploy the Program
Uninstall the Program

When you uninstall this program, all components are removed in the process. This means that even if you have previously added or removed components, or if you have reinstalled or repaired the program, uninstalling removes all program installation files from your system.

Note If you plan to modify an administrative image at a later date (for example, by adding a patch to it), do not remove that image.

To uninstall the program
  1. In the Windows Control Panel, click Add/Remove Programs.
  2. In the Add/Remove Programs window, select the program, and then click Remove.
  3. In the message box that is displayed, click Yes to remove the program.
  4. If prompted, restart your computer.

Note Autodesk programs that you use with the program (such as Autodesk DWF Viewer) are not removed automatically when you uninstall the program. You must uninstall them separately using Add or Remove Programs.


Advertise a Deployment Using MSI

Advertising is a deployment method that you use to provide access to a centralized program from a workstation. You create an administrative image in a central location and then set up each workstation to have a shortcut to the program. When you click the shortcut, the program is installed on the workstation.

In order for AutoCAD to run properly, the following software must be installed on the computer where the program is being installed:

  • Microsoft .NET 1.1 Service Pack 1 (available on the product CD)
  • Microsoft Internet Explorer version 6.0 Service Pack 1 or later (You can download Microsoft Internet Explorer from the Microsoft website by visiting www.microsoft.com).
  • Microsoft Installer Package (MSI) 3.0
  • Macromedia Flash™ Player 7.0.19.0
  • Autodesk DWF Viewer®
  • Microsoft Data Access Components (MDAC) 2.7

Topics in this section:

  • Advertise a Deployment


Advertise a Deployment

Advertise a Deployment Using MSI
Advertise a Deployment Using MSI
Advertise a Deployment

After you create an administrative image on a shared directory, you can set up a shortcut to make the program accessible to users. The program name is added to the Start menu (Windows) and to the Add/Remove Programs list.

To advertise a deployment using MSI 3.0
  1. On the user’s workstation, on the Start menu (Windows), click All Programs (or Programs) [image] Accessories [image] Command Prompt.
  2. At the Windows command prompt, enter the following to set up a shortcut:
    3. msiexec /jm \\[servername]\[sharename]\AdminImage\acad.msi /t \\[servername]\[sharename]\AdminImage\[deploymentname].mst

This program is now advertised. To install this program on the workstation, the user clicks a program shortcut in the Start menu (Windows). This method installs the program on the workstation with minimal prompts for the user.


Use Scripts to Deploy the Program

A script executes a command or a set of commands. Scripts are similar to batch files but are more flexible. Installation scripts are most useful for stand-alone installation of programs on computers that are connected to a network. Scripts are also useful for installing service packs, extensions, and object enablers on a network.

In order for AutoCAD to run properly, the following software must be installed on the computer where the program is being installed:

  • Microsoft .NET 1.1 Service Pack 1 (available on the product CD)
  • Microsoft Internet Explorer version 6.0 Service Pack 1 or later (You can download Microsoft Internet Explorer from the Microsoft website by visiting www.microsoft.com).
  • Microsoft Installer Package (MSI) 3.0
  • VB Script
  • Macromedia Flash™ Player 7.0.19.0
  • Autodesk DWF Viewer®
  • Microsoft Data Access Components (MDAC) 2.7

Topics in this section:

  • Introduction
  • Create Scripts That Install Programs
  • A Sample Installation Script
  • Use Switches in Scripts
  • Use Flags to Specify User Interface Information in Scripts
  • Scripts for Custom Installations
  • Run Scripts
  • Sample Scripts


Introduction

Use Scripts to Deploy the Program
Use Scripts to Deploy the Program
Introduction

With Microsoft Windows® Installer (MSI) technology, you can use scripts to install products without any need for user participation other than starting the script.

The system requirements for scripts written in the Visual Basic®Scripting Edition (VBS Scripts) include the following:

  • Microsoft Windows Installer version 3.0 or later
  • Microsoft Scripting Engine
  • Administrative permissions (on all computers using Windows XP Professional, Windows XP Home, or Windows 2000).

The Microsoft Windows Installer is an installation and configuration program that is installed on your system when you install this program. It is included with Windows XP Professional, Windows XP Home, and Windows 2000. You can find out more about Microsoft Windows Installer technology on the Microsoft website.

Note To install this program, you must use Windows Installer (WindowsInstaller-KB884016-v2-x86.exe) version 3.0 or later. If an earlier version is installed, you can install the newer version from the product CD. Locate the MSI folder on the CD, and run WindowsInstaller-KB884016-v2-x86.exe.

The sample scripts in this appendix are based on Microsoft Scripting Engine 5.6, which works with both VBScripts and JavaScript. If you don’t have the scripting engine installed, you can download it for free from the Microsoft website at msdn.microsoft.com/scripting. Sample scripts and Help files are also available there for download.


Create Scripts That Install Programs

Use Scripts to Deploy the Program
Use Scripts to Deploy the Program
Create Scripts That Install Programs

You create a script by using a text editor such as Notepad and then saving it in ASCII format in a file with the file extension .vbs. The script consists of one or more commands, as well as command switches that specify options, and flags that modify the options. An installation script also contains path names.

An installation script points to the location of the product’s setup.exe file. You must point to the setup.exe file on your product CD. For example:

AutoCAD 2006 CDROM\Bin\ACADFeui\setup.exe


A Sample Installation Script

Use Scripts to Deploy the Program
Use Scripts to Deploy the Program
A Sample Installation Script

A sample script for a silent installation of this program uses the syntax shown in this section. (This script is the same as Sample Script 1 later in this appendix.)

' Typical installation of AutoCAD 2006

' Create variables

  dim strADSKFirstName

  strADSKFirstName = "Your First Name"

  dim strADSKLastName

  strADSKLastName = "Your Last Name"

  dim strDealer

  strDealer = "Your Dealer"

  dim strDealerPhone

  strDealerPhone = "411"

' Create a variable to store the dealer name.

  dim strADSKCompany

  strADSKCompany =  "Your Company Name"

' Create Variables to store Serial Number

  Dim strADSKSNPrefix

  strADSKSNPrefix =  "000"

  dim strADSKSNNumber

  strADSKSNNumber =  "00000000"

Set shell = CreateObject("WScript.Shell")

' Create variable to store install location with long file name.

  Dim strProgPath

  strProgPath = Shell.ExpandEnvironmentStrings("%ProgramFiles%")

  dim strADSKPath

  strADSKPath = strProgPath + "\AutoCAD 2006"

' Create variable to store source path of AutoCAD 2006

  Dim strSourcePath

' Where D: is your product CDROM

  strSourcePath = "D:\Bin\acadFeui"

'

' /q for silent install ' /c [key] override parameters for the key

 shell.run strSourcePath & "\setup.exe /q /c acad:" & """" & _

  "INSTALLDIR=\"& """" & strADSKPath & "\" & """" & "" &_

  "REBOOT=Suppress /qb!" & " " & _

  "ACAD_SILENT_LICENSE=YES" & " " & _

  "ACADSERIALPREFIX=" & strADSKSNPrefix & " " & _

  "ACADSERIALNUMBER=" &  strADSKSNNumber  & " " & _

  "ACADFIRSTNAME=\" & """"& strADSKFirstName & "\" & """" & " " & _

  "ACADLASTNAME=\" & """"& strADSKLastName & "\" & """" & " " & _

  "ACADDEALER=\" & """"& strDealer & "\" & """" & " " & _

  "ACADDEALERPHONE=\" & """"& strDealerPhone & "\" & """" & " " & _

  "ACADORGANIZATION=\" & """" & strADSKCompany & "\" & """" & " " & _

  "INSTALLLEVEL=3

" & """"


Use Switches in Scripts

Use Scripts to Deploy the Program
Use Scripts to Deploy the Program
Use Switches in Scripts

The following table lists all of the switches that are relevant to installation.

Note You must set the installation switch to INSTALLDIR=. If this is not done, programs that run outside AutoCAD (such as the Portable License utility) are not installed.

Switches in Installation Scripts
Switch | Description
INSTALLDIR= | Specifies the location to install the product.
ACAD_SILENT_LICENSE=YES | Sets the silent license agreement.
ACADSERIALPREFIX= | Specifies the numbers that precede the hyphen in the serial number.
ACADSERIALNUMBER= | Specifies the serial number.
INSTALLLEVEL= | Specifies the type of installation: 3=Typical
ACADFIRSTNAME= | Specifies the first name personalization.
ACADLASTNAME= | Specifies the last name personalization.
ACADORGANIZATION= | Specifies the company name.
ACADDEALER= | Specifies the dealer name.
ACADDEALERPHONE= | Specifies the dealer phone number.


Use Flags to Specify User Interface Information in Scripts

Use Scripts to Deploy the Program
Use Scripts to Deploy the Program
Use Flags to Specify User Interface Information in Scripts

You can specify the user interface that is displayed during installation by using the flags in the following table.

User Interface Flags
Flag | Description
q or qn | No user interface.
qn+ | No user interface except a modal dialog box displayed at the end of the installation.
qb | Basic user interface.
qb+ | Basic user interface with a modal dialog box displayed at the end of the installation. (The dialog box is not displayed if the user cancels the installation.)
qb– | Basic user interface with no modal dialog boxes.
qf | Full user interface with a modal dialog box displayed at the end of the installation.
qr | Reduced user interface with a modal dialog box displayed at the end of the installation.


Scripts for Custom Installations

Use Scripts to Deploy the Program
Use Scripts to Deploy the Program
Scripts for Custom Installations

To create a script for a custom installation, use the syntax ADDLOCAL=".....". (See Sample Script 2: Custom Installation.)

Component Flags
Flag | Component
ACS | Samples
DWF3D | 3D DWF Publish
CADStandards | CAD Standards
Database | Database (DBCONNECT)
DCS | DesignCenter Samples
Dictionaries | Dictionaries
DrawingEncryption | Drawing Encryption
Express_Tools | Express Tools
AmericanEnglish_Dictionary | American English Dictionary
Fonts | Fonts
French_Canadian_Dictionary | French Canadian Dictionary
Migrate | Migrate Custom Settings
NFW | New Features Workshop
PLM | Portable License Utility
RefMan | Reference Manager
Samples | Sample files
System_Files | Required system files
TM | Texture Maps
Tutorials | Tutorials
VBA | Visual Basic
VLS | Visual LISP Samples
VLT | Visual LISP Tutorials


Run Scripts

Use Scripts to Deploy the Program
Use Scripts to Deploy the Program
Run Scripts

After creating a script, you move it to a server or use a mapped drive letter or a UNC (universal naming conventions) path. If you place it on a server for users to run, create a share on the server, and then add users to the share with the rights they need. Because all that users need to do is run the script, provide read-only access to the share directory.

Next, on the same server or on a different server, create a directory for each product you want to install. Choose a location for this directory that won’t be changed so that you can point to the MSI files in your scripts. Copy the product CD to that directory. You may also want to create directories for service packs, extensions, and your own customization tools.

You can use any of the following methods to run an installation script:

  • Run the script manually at each individual workstation. To run the installation, paste the script into the Run dialog box or run it from the Windows command prompt.
  • Send an email with the UNC path to each user who should run the script. To run the script, the user follows your instructions.
  • Email the script to each user with instructions for use.
  • Set up the script so that it runs on login.


Sample Scripts

Use Scripts to Deploy the Program
Use Scripts to Deploy the Program
Sample Scripts

The sample scripts in this section install the program in various configurations. To make it easy to copy these and substitute your own information, the same names are used throughout for variable items. The log file name is based on the product being installed. You can either use the log file name in the script or change it to something else.

Serial number prefix: 000

Serial number: 00000000

First name: Your First Name

Last name: Your Last Name

Organization: Your Company Name

A sample script for a silent installation of this program uses the syntax shown in this section. (This script is the same as Sample Script 1 later in this appendix.)

Topics in this section:

  • Sample Script 1: Typical Installation
  • Sample Script 2: Custom Installation


Sample Script 1: Typical Installation

Use Scripts to Deploy the Program
Use Scripts to Deploy the Program
Sample Script 1: Typical Installation

' Typical installation of AutoCAD 2006

' Create variables

  dim strADSKFirstName

  strADSKFirstName = "Your First Name"

  dim strADSKLastName

  strADSKLastName = "Your Last Name"

  dim strDealer

  strDealer = "Your Dealer"

  dim strDealerPhone

  strDealerPhone = "411"

' Create a variable to store the dealer name.

  dim strADSKCompany

  strADSKCompany =  "Your Company Name"

' Create Variables to store Serial Number

  Dim strADSKSNPrefix

  strADSKSNPrefix =  "000"

  dim strADSKSNNumber

  strADSKSNNumber =  "00000000"

Set shell = CreateObject("WScript.Shell")

' Create variable to store install location with long file name.

  Dim strProgPath

  strProgPath = Shell.ExpandEnvironmentStrings("%ProgramFiles%")

  dim strADSKPath

  strADSKPath = strProgPath + "\AutoCAD 2006"

' Create variable to store source path of AutoCAD 2006

  Dim strSourcePath

' Where D: is your product CDROM

  strSourcePath = "D:\Bin\acadFeui"

'

' /q for silent install ' /c [key] override parameters for the key

 shell.run strSourcePath & "\setup.exe /q /c acad:" & """" & _

  "INSTALLDIR=\"& """" & strADSKPath & "\" & """" & "" &_

  "REBOOT=Suppress /qb!" & " " & _

  "ACAD_SILENT_LICENSE=YES" & " " & _

  "ACADSERIALPREFIX=" & strADSKSNPrefix & " " & _

  "ACADSERIALNUMBER=" &  strADSKSNNumber  & " " & _

  "ACADFIRSTNAME=\" & """"& strADSKFirstName & "\" & """" & " " & _

  "ACADLASTNAME=\" & """"& strADSKLastName & "\" & """" & " " & _

  "ACADDEALER=\" & """"& strDealer & "\" & """" & " " & _

  "ACADDEALERPHONE=\" & """"& strDealerPhone & "\" & """" & " " & _

  "ACADORGANIZATION=\" & """" & strADSKCompany & "\" & """" & " " & _

  "INSTALLLEVEL=3" & """"


Sample Script 2: Custom Installation

Use Scripts to Deploy the Program
Use Scripts to Deploy the Program
Sample Script 2: Custom Installation

' Custom installation of AutoCAD 2006 system files, DWF 3D Publisher, sample files, and Express Tools.

 ' Create variables

  dim strADSKFirstName

  strADSKFirstName = "Your First Name"

   dim strADSKLastName

  strADSKLastName = "Your Last Name"

   dim strDealer

  strDealer = "Your Dealer"

   dim strDealerPhone

  strDealerPhone = "411"

 ' Create a variable to store the dealer name.

  dim strADSKCompany

  strADSKCompany =  "Your Company Name"

' Create Variables to store Serial Number

  dim strADSKSNPrefix

  strADSKSNPrefix =  "000"

   dim strADSKSNNumber

  strADSKSNNumber =  "00000000"

 Set shell = CreateObject("WScript.Shell")

 ' Create variable to store install location with long file name.

  Dim strProgPath

  strProgPath = Shell.ExpandEnvironmentStrings("%ProgramFiles%")

   dim strADSKPath

  strADSKPath = strProgPath + "\AutoCAD 2006"

 ' Create variable to store source path of AutoCAD 2006

  dim strSourcePath

' Where D: is your product CDROM

  strSourcePath = "D:\Bin\acadFeui"

'

' /q for silent install ' /c [key] override parameters for the key

shell.run strSourcePath & "\setup.exe /q /c acad:" & """" & _

  "INSTALLDIR=\" & """" & strADSKPath & "\" & """" & " " & _

  "REBOOT=Suppress /qb!" & " " & _

  "ACAD_SILENT_LICENSE=YES" & " " & _

  "ACADSERIALPREFIX=" & strADSKSNPrefix & " " & _

  "ACADSERIALNUMBER=" &  strADSKSNNumber  & " " & _

  "ACADFIRSTNAME=\" & """"& strADSKFirstName & "\" & """" & " " & _

  "ACADLASTNAME=\" & """"& strADSKLastName & "\" & """" & " " & _

  "ACADDEALER=\" & """"& strDealer & "\" & """" & " " & _

  "ACADDEALERPHONE=\" & """"& strDealerPhone & "\" & """" & " " & _

  "ACADORGANIZATION=\" & """" & strADSKCompany & "\" & """" & "" & _

  "ADDLOCAL=\" & """" & "System_Files, DWF3D,ACS,Express_Tools" & "\" & """"


Use Group Policies to Install a Deployment

With group policies, you can advertise this program by assigning the deployment to computers.

In order for AutoCAD to run properly, the following software must be installed on the computer where the program is being installed:

  • Microsoft .NET 1.1 Service Pack 1 (available on the product CD)
  • Microsoft Internet Explorer version 6.0 Service Pack 1 or later (You can download Microsoft Internet Explorer from the Microsoft website by visiting www.microsoft.com).
  • Microsoft Installer Package (MSI) 3.0
  • Macromedia Flash™ Player 7.0.19.0
  • Autodesk DWF Viewer®
  • Microsoft Data Access Components (MDAC) 2.7

Topics in this section:

  • Introduction
  • Distribute a Deployment Through Group Policies
  • Assign a Deployment to Computers
  • Verify the Installation of a Deployment


Introduction

Use Group Policies to Install a Deployment
Use Group Policies to Install a Deployment
Introduction

With group policy objects, this program can be advertised to any computer that is part of Windows® 2000 and Windows 2003 Active Directory environments.

Topics in this section:

  • Assign a Deployment Using Group Policies
  • Advantages and Disadvantages of Using Group Policies


Assign a Deployment Using Group Policies

Use Group Policies to Install a Deployment
Use Group Policies to Install a Deployment
Assign a Deployment Using Group Policies

Assign a deployment that was created by the Deployment wizard to a computer. Assigning a deployment to a computer installs the program the next time the computer is restarted.

A deployment that is assigned to a computer can be used by any user of that computer. Generally, you should assign the program to a computer if the computer is used by a large number of users.

Note Autodesk products are designed to be installed on a computer so that any user who logs on to the computer can run the software. If you attempt to assign this program for a specific user rather than a computer, you may encounter problems when a second specified user tries to install or uninstall a copy of the program.


Advantages and Disadvantages of Using Group Policies

Use Group Policies to Install a Deployment
Use Group Policies to Install a Deployment
Advantages and Disadvantages of Using Group Policies

The following table outlines the advantages and disadvantages of using group policies.

Advantages and disadvantages of group policies

Advantage

Disadvantage

Works well with the Deployment wizard.

Cannot pass command-line parameters to MSI executable. The solution is to use scripts.
  • Easy to add custom files through the Deployment wizard.
  • Deployed to workstation.

Cannot customize application settings other than what is set in the Deployment wizard.

Simple to implement.


Distribute a Deployment Through Group Policies

Use Group Policies to Install a Deployment
Use Group Policies to Install a Deployment
Distribute a Deployment Through Group Policies

There are three main steps to distributing this program through group policies.

  1. Create an application distribution share point. The application distribution share point is created using the Deployment wizard. Follow the steps outlined in Use the Deployment Wizard to create a deployment.
  2. Assign the program to a computer.
  3. Verify the installation. Make sure that the program has been correctly installed.


Assign a Deployment to Computers

Use Group Policies to Install a Deployment
Use Group Policies to Install a Deployment
Assign a Deployment to Computers

When the program is assigned to a computer, it is available to all users of the computer. The following procedures must be run from the server that has access to the Windows 2003 or Windows 2000 Active Directory for assigning this program to computers.

To assign a deployment to a computer
  1. On the Start menu (Windows), click All Programs (or Programs) [image] Administrative Tools [image] Active Directory Users and Computers.
  2. In the Active Directory Users and Computers window, right-click the organizational unit where you want to create the group policy object. Then click Properties.

    3. The Properties dialog box for the organizational unit you selected is displayed.

    Note In order for the group policy object to take effect, the computer objects must be located in the organizational unit you have selected.

  3. In the Properties dialog box, on the Group Policy tab, click New. Enter a name for the group policy object. For example, enter AutoCAD Computer Assigned Installation.

    4. The group policy is created and is added to the Group Policy Object Links list.

  4. In the Group Policy Object Links list, click the policy you just created, and then click Edit.
  5. Do one of the following:
    • For Windows 2003 Server: In the Group Policy Object Editor window, under Computer Configuration, click the plus sign (+) next to the Software Settings folder to expand it.
    • For Windows 2000 Server: In the Group Policy window, under Computer Configuration, click the plus sign (+) next to the Software Settings folder to expand it.
  6. Under Software Settings, right-click Software Installation, and then click Properties.
  7. In the Software Installation Properties dialog box, on the General tab, click Browse.
  8. In the Browse for Folder dialog box, locate the application distribution share point created in the Deployment wizard, and select the AdminImage folder. Then click OK.

    9. The Software Installation Properties dialog box displays (in UNC format) the default package location, the server name, the shared folder that you selected, and AdminImage. For example:

    \\server123\Deployment\AdminImage

  9. Do one of the following:
    • For Windows 2003 Server: On the General tab, under New Packages, click Advanced to specify a method to be used when a new package is created. This method also allows the transform file created by the Deployment wizard to be selected.
    • For Windows 2000 Server: On the General tab, under New Packages, click Advanced Published or Assigned to specify a method to be used when a new package is created. This method also allows the transform file created by the Deployment wizard to be selected.
  10. Click OK to close the Software Installation Properties dialog box.
  11. Do one of the following:
    • For Windows 2003 Server: In the Group Policy Object Editor dialog box, under Software Settings, right-click Software Installation, and click New [image] Package.
    • For Windows 2000 Server: In the Group Policy dialog box, under Software Settings, right-click Software Installation, and click New [image] Package.
  12. In the Open dialog box, make sure the Windows Installer Packages file (acad.msi) is selected, and click Open. This default selection is the application distribution share point that you set earlier.

    13. If you created the administrative image in a location different from the application distribution share point, find the administrative image location, and click acad.msi.

  13. In the <product name> Properties dialog box, click the Deployment tab. Under Deployment Type, verify that Assigned is selected.
  14. On the Modifications tab, click Add.
  15. In the Open dialog box, click the transform package file (.mst) created by the Deployment wizard, and then click Open.

    16. If you created the administrative image in a location different from the application distribution share point, find the administrative image location and select the transform package file (.mst).

  16. In the <product name> Properties dialog box, on the Modifications tab, the transform package you selected is added to the Modifications list. Click OK.

    17. Note You must select the transform package file created by the Deployment wizard when you created the group policy object. You cannot add or remove transform package files after the group policy object has been created. If you fail to select a transform package file, the program cannot be installed on the client computer.

  17. Do one of the following:
    • For Windows 2003 Server: In the Group Policy Object Editor window, under Computer Configuration, click Software Installation. The newly created program package is displayed in the right pane.
    • For Windows 2000 Server: In the Group Policy window, under Computer Configuration, click Software Installation. The newly created program package is displayed in the right pane.
  18. Do one of the following:
    • For Windows 2003 Server: Close the Group Policy Object Editor window and any other open Active Directory windows.
    • For Windows 2000 Server: Close the Group Policy window and any other open Active Directory windows.

This program is assigned to all computers that are members of the organizational unit for which the group policy object has been created. The next time a computer in the organizational unit is restarted, the program will be installed and will be available for all users of the computer. See Verify the Installation of a Deployment to validate that the group policy has been created correctly.


Verify the Installation of a Deployment

Use Group Policies to Install a Deployment
Use Group Policies to Install a Deployment
Verify the Installation of a Deployment

As a computer is restarted, the operating system displays messages about group policy, generally just before or after the Windows Login dialog box is displayed. These messages include the following:

  • Windows starting up
  • Applying computer settings
  • Installing managed software <application>
  • Applying software installation settings
  • Loading your personal settings
  • Applying your personal settings

From a Windows XP or Windows 2000 workstation, users log in under the organizational unit or computer for which the group policy has been created.

Note If problems arise, an entry is logged in the system’s Event Viewer under Applications.

Topics in this section:

  • Verify That the Program Is Assigned to a Computer


Verify That the Program Is Assigned to a Computer

Use Group Policies to Install a Deployment
Use Group Policies to Install a Deployment
Verify That the Program Is Assigned to a Computer

To verify that this program has been correctly assigned to a computer, restart a computer that is in the organizational unit for which the group policy was created. The program is installed before the login prompt is displayed. After logging in, double-click the program icon on the desktop. A second-time installation begins. At the completion of the installation, the program starts.


Use Microsoft Systems Management Server to Install a Deployment

This appendix provides details for deploying Autodesk software using Microsoft Systems Management Server (SMS). The benefits of using SMS to deploy software include software distribution to target computers that are dynamically evaluated based on a set of administrator-defined rules, and hardware and software that is inventoried to verify that target computers meet setup requirements.

In order for AutoCAD to run properly, the following software must be installed on the computer where the program is being installed:

  • Microsoft .NET 1.1 Service Pack 1 (available on the product CD)
  • Microsoft Internet Explorer version 6.0 Service Pack 1 or later (You can download Microsoft Internet Explorer from the Microsoft website by visiting www.microsoft.com).
  • Microsoft Installer Package (MSI) 3.0
  • Macromedia Flash™ Player 7.0.19.0
  • Autodesk DWF Viewer®
  • Microsoft Data Access Components (MDAC) 2.7

Topics in this section:

  • Introduction
  • Tasks for Deploying Autodesk Software with SMS
  • Create a Collection for Distributing Autodesk Software
  • Set Up a Source Directory Using the Deployment Wizard
  • Create the SMS Software Installation Package
  • Create an SMS Program
  • Create an Advertisement
  • Install Autodesk Software on the Client Computer


Introduction

Use Microsoft Systems Management Server to Install a Deployment
Use Microsoft Systems Management Server to Install a Deployment
Introduction

To deploy Autodesk® software, you must have SMS 2.0 with Service Pack 1 or later. You should also be familiar with the SMS 2.0 software distribution process. You can find more information about this topic in the following resources:

  • Microsoft® Systems Management Server Administrator’s Guide
  • Microsoft Systems Management Server 2.0 Administrator Help
  • Microsoft Systems Management Server Resource Guide


Tasks for Deploying Autodesk Software with SMS

Use Microsoft Systems Management Server to Install a Deployment
Use Microsoft Systems Management Server to Install a Deployment
Tasks for Deploying Autodesk Software with SMS

To deploy Autodesk software with SMS, you must complete the following tasks:

  1. Create a collection for distributing Autodesk software.
  2. Set up a source directory using the Deployment wizard.
  3. Create the SMS software installation package.
  4. Create an SMS program.
  5. Create an advertisement.
  6. Install the Autodesk software on the client computer.


Create a Collection for Distributing Autodesk Software

Use Microsoft Systems Management Server to Install a Deployment
Use Microsoft Systems Management Server to Install a Deployment
Create a Collection for Distributing Autodesk Software

A collection is a set of administrator-defined rules that determine which computers Autodesk software can be installed on. You can use SMS to create and maintain collections. Collections gather resources into logical, manageable groups in ways that help you manage your SMS site. Collections can reflect the structure and organization of your network by putting resources in groups such as users, clients, and routers. SMS uses collections as targets during software distribution to clients.

To create a collection for distributing Autodesk software
  1. On the Start menu (Windows), click All Programs (or Programs) [image] System Management Server [image] SMS Administrator Console.
  2. In the SMS console window, in the Tree pane, click the Systems Management Server folder, and then click the plus sign (+) next to the Site Database folder.
  3. In the Tree pane, click the Collections folder.

    4. The Name pane displays all the collections that are currently defined.

  4. Right-click the Collections folder. On the shortcut menu, select New [image] Collection.
  5. In the Collection Properties dialog box, on the General tab, enter a name for the collection; for example, Autodesk software computers. In the Comment box, enter any comments you want to add.

You now need to create rules to define what resources will be included in the collection. You can do this by using either the Query Rule Properties toolbar button or the Direct Membership Rule wizard.

Topics in this section:

  • Create a Rule Using the Query Rule Properties Toolbar Button
  • Create a Rule Using the Direct Membership Rule Wizard


Create a Rule Using the Query Rule Properties Toolbar Button

Use Microsoft Systems Management Server to Install a Deployment
Use Microsoft Systems Management Server to Install a Deployment
Create a Rule Using the Query Rule Properties Toolbar Button

The Query Rule Properties toolbar button adds to a collection all resources that match a set of criteria specified by the query.

To create a rule using the Query Rule Properties toolbar button
  1. In the Collection Properties dialog box, on the Membership Rules tab, click the Query Rule Properties toolbar button.
  2. In the Query Rule Properties dialog box, click Browse (next to the Name box).

    3. A list of available queries is displayed.

  3. Select the appropriate query. Start by selecting All Windows Systems, and then click OK.

    4. In the Query Rule Properties dialog box, you can create or modify a query statement by clicking Edit Query Statement. Under Collection Limiting, you can limit the queries assigned to a collection by clicking Limit to Collection.

  4. Click OK.

Your new rule is displayed in the Rules list in the Collection Properties dialog box.


Create a Rule Using the Direct Membership Rule Wizard

Use Microsoft Systems Management Server to Install a Deployment
Use Microsoft Systems Management Server to Install a Deployment
Create a Rule Using the Direct Membership Rule Wizard

The Direct Membership Rule wizard helps you create direct membership rules for your collection. In contrast to query-based membership rules, which add all resources that match a set of criteria, the direct membership rules add specific resources to the collection. To create direct membership rules, you locate and select the resources you want to add as direct members of the collection.

To create a rule using the Direct Membership Rule wizard
  1. In the Collection Properties dialog box, on the Membership Rules tab, click the Create Direct Membership Rule Wizard toolbar button.
  2. In the Create Direct Membership Rule Wizard dialog box, click Next.
  3. In the Search for Resources dialog box, in the Resource Class list, select System Resource. In the Attribute Name list, select Operating System Name and Version. In the Value box enter Microsoft Windows %Workstation%. Click Next.
  4. In the Collection Limiting dialog box, click Browse. A list of available collections is displayed. Select your collection and click OK.
  5. In the Collection Limiting dialog box, click Next.
  6. In the Select Resources dialog box, a list of all the resources that meet the criteria of the collection is displayed. Click Select All or select the resources you want to include. Future resources that meet the criteria of the collection will be added. Click Next.
  7. In the Completing the Create Direct Membership Rule Wizard dialog box, click Finish.

    8. The new rule is displayed in the rules list in the Collection Properties dialog box.

Now you must set the start time for the collection.

To set the start time for the collection
  1. In the Collection Properties dialog box, on the Membership Rules tab, click Schedule.
  2. In the Schedule dialog box, set the start time for the collection and select the Recurrence Pattern that will be supplied. Click OK.
  3. In the Collection Properties dialog box, click Apply to apply the settings. Click OK.
  4. In the SMS console window, select the Collections folder in the Tree pane.

    5. The new collection is displayed in the Name pane.


Set Up a Source Directory Using the Deployment Wizard

Use Microsoft Systems Management Server to Install a Deployment
Use Microsoft Systems Management Server to Install a Deployment
Set Up a Source Directory Using the Deployment Wizard

When you use SMS to deploy Autodesk software, you set up the source directory using the Deployment wizard. Using the Deployment wizard is an easy way to create a source directory, and it also ensures that you can upgrade the setup package in the future. The Deployment wizard creates an administrative installation image that is used by SMS to deploy the Autodesk software to the client computers. It also creates a transform file, also known as the deployment, which must be used during the installation of AutoCAD® and AutoCAD-based products on any client computers.

In SMS 2.0, the location where you perform the administrative installation becomes the location of the package source directory. When using the Deployment wizard to create the source directory, you can include additional files, such as template files, AutoLISP routines, and custom menus. The Deployment wizard also installs the Deploy executable file (Deploy.exe) that is used to deploy the software.

To learn more about setting up the source directory for Autodesk software, see Use the Deployment Wizard.

It is strongly recommended that you test the deployment created by the Deployment wizard before trying to configure SMS to deploy the program. By testing the deployment created by the Deployment wizard, you ensure that there are no problems with the administrative image and deployment.

To test the Deployment wizard deployment
  1. Log on to a Windows 2000 or a Windows XP Professional workstation as a user who has administrative privileges.
  2. Navigate to the source directory where the deployment was created. Use Windows Explorer or Start [image] Run.
  3. Double-click the deployment shortcut created by the Deployment wizard.

    4. The program is installed or an error is written to the network log file.


Create the SMS Software Installation Package

Use Microsoft Systems Management Server to Install a Deployment
Use Microsoft Systems Management Server to Install a Deployment
Create the SMS Software Installation Package

After creating the source directory using the Deployment wizard, you create the SMS software installation package. An SMS package contains the files and instructions that SMS uses to distribute the program to SMS clients. The Deployment wizard creates the files and instructions, but SMS must be configured to use these files.

To create a software installation package
  1. On the Start menu (Windows), click All Programs (or Programs) [image] System Management Server [image] SMS Administrator Console.
  2. In the SMS console window, in the Tree pane, click the Systems Management Server folder, and then click the plus sign (+) next to the Site Database folder.
  3. In the Tree pane, click the Packages folder.

    4. The Name pane now displays all the installation packages that are currently defined.

  4. Right-click the Packages folder. On the shortcut menu, click New [image] Package.

    5. Note On the shortcut menu, you cannot select Package from Definition because the program is not creating a package definition file (PDF or SMS files).

  5. In the Package Properties dialog box, on the General tab, enter the following information:
    • In the Name box, enter a name for the SMS package; for example, AutoCAD.
    • In the Version box, enter the version of the product you are installing; for example, 2006.
    • In the Publisher box, enter Autodesk, Inc.
    • In the Language box, enter the language of the product you are installing; for example, English.
    • In the Comment box, enter any comments that are specific to your environment.
  6. Click the Data Source tab.
  7. On the Data Source tab, select the This Package Contains Source Files option. Click Set.
  8. In the Set Source Directory dialog box, select the Network Path (UNC Name) option.
  9. Click Browse. Navigate to the source directory created in the Deployment wizard. Click OK.

    10. The server name and shared folder that you selected are displayed in the source directory.

    Note The administrative image you created with the Deployment wizard should be displayed in the source directory.

  10. In the Set Source Directory dialog box, click OK.
  11. In the Package Properties dialog box, click OK.
  12. In the Tree pane, click the Packages folder.

    13. The Name pane displays the package you created.

Although the package to install the program on SMS client computers has been created, it still cannot be installed. You must first create the SMS program for the package.


Create an SMS Program

Use Microsoft Systems Management Server to Install a Deployment
Use Microsoft Systems Management Server to Install a Deployment
Create an SMS Program

This section details the configuration options you must use when you create an SMS program for your Autodesk software. Program configuration options for deploying software are specified in the Program Properties dialog box in SMS.

There are two methods for defining the Program configuration options with Autodesk software. The first method uses the Deploy executable file created by the Deployment Wizard for AutoCAD and AutoCAD-based products. The second method uses Windows Installer.

Topics in this section:

  • Use the Deploy Executable Method to Create a Program
  • Use the Windows Installer Method to Create a Program


Use the Deploy Executable Method to Create a Program

Use Microsoft Systems Management Server to Install a Deployment
Use Microsoft Systems Management Server to Install a Deployment
Use the Deploy Executable Method to Create a Program

The Deployment wizard used to create the administrative image and source directory for deploying Autodesk software contains an executable file called Deploy.exe in the AdminImage folder under the Deployment wizard share.

Deploy.exe is a wrapper for Windows Installer (an executable file that performs the checks before Windows Installer starts), but it also performs several other important checks and functions for installing AutoCAD and AutoCAD-based products. Deploy.exe checks the operating system to ensure that it meets the minimum requirements for installing AutoCAD. Deploy.exe also checks to ensure that Windows Installer is version 2.0. If it is not, Windows Installer 2.0 is installed on the client computer. Deploy.exe is also responsible for writing successful installations and failures to the network log file specified in the Deployment wizard. It is strongly recommended that you use this method when deploying AutoCAD or AutoCAD-based products to SMS client computers.

To create a program using Deploy.exe
  1. On the Start menu (Windows), click Programs [image] System Management Server [image] SMS Administrator Console.
  2. In the SMS console window, in the Tree pane, click the Systems Management Server folder, and then click the plus sign (+) next to the Site Database folder.
  3. In the Tree pane, click the plus sign (+) next to the Packages folder to expand it. The defined packages are displayed in the Tree pane. Click the package you created earlier. In the Name pane, the Access Accounts, Distribution Points, and Programs folders are displayed.
  4. In the Name pane, right-click the Programs folder. On the shortcut menu, click New [image] Program.
  5. In the Program Properties dialog box, on the General tab, enter the following:
    • In the Name box, enter a name for the program. The name of the program must be unique because it is used when defining advertisements. On client computers, the name is displayed in the Control Panel (Windows), in the Advertised Programs folder.
    • In the Comment box, enter any comments you want to add. Text in the Comment box is displayed on client computers in the Advertised Programs Monitor dialog box, or in the Advertised Programs wizard Control Panel applets.
    • For the Command Line box, click Browse. Navigate to the source directory where the deployment was created by the Deployment wizard. Right-click the deployment shortcut and click Properties. On the Shortcut tab, in the Target box, select all of the text. Right-click and click Copy. Click Cancel to exit the Deployment Properties dialog box. Click Cancel to exit the Open dialog box. In the Program Properties dialog box, in the Command Line box, right-click, and click Paste. Your text is displayed.
    • In the Run list, select Normal.
    • In the After Running list, select No Action Required.
  6. Click the Requirements tab. In the Estimated Disk Space box, specify at least 350 MB. Select the This Program Can Run Only on Specified Platforms option. Select the following platforms from the list:
    • All x86 Windows 2000 clients
    • All x86 Windows XP Professional clients
    • x86 Windows 2000 original release clients
    • x86 Windows 2000 Service Pack 1 clients
    • x86 Windows 2000 Service Pack 2 clients
  7. Click the Environment tab. In the Program Can Run list, select Only When a User Is Logged On, and then select the User Input Required option. Under Run Mode, select the Run with Administrative Rights option if your users do not have administrative privileges on their computer. Under Drive Mode, select Runs with UNC Name.
  8. Click Apply, and then click OK. In the SMS console window, in the Tree pane, click the Programs folder to see your new program in the Name pane.


Use the Windows Installer Method to Create a Program

Use Microsoft Systems Management Server to Install a Deployment
Use Microsoft Systems Management Server to Install a Deployment
Use the Windows Installer Method to Create a Program

When using the Windows Installer method to configure general program options for Autodesk software, you must specify command line syntax. The executable program that interprets packages and installs products is Msiexec.exe. When using the Windows Installer, no entry is written to the network log file.

Note Before you can deploy Autodesk software on your client computers, you must ensure that the Windows Installer program (Msiexec.exe) is version 2.0 or later. The Windows Installer 2.0 setup program is included on your Autodesk product CD.

In Windows Installer, in the Program Properties dialog box, on the General tab, enter the following on the command line:

msiexec options <package>.msi

For AutoCAD, <package> is acad.msi. The following table lists several command-line options you will use when deploying the AutoCAD package (acad.msi). The command-line options are case sensitive. For a complete list of options, together with their explanations, consult Microsoft Windows Installer Help.

Windows Installer Command-line Options
Option | Action
/I | Installs or configures a product.
/x | Uninstalls a product.
/lev Logfile | Specifies the path to log file. The flags indicate which information to log. e - All error messages v - Verbose output
/qb- | Sets the user interface level.
 | qb – Basic UI

For example, for AutoCAD use the following syntax: msiexec /I acad.msi

In addition to using the command-line options, you must use Windows Installer properties. Properties are global variables used during an installation. You will need to use the TRANSFORMS property to take advantage of the transform file created by the Deployment wizard. When used, properties must be specified as follows:

msiexec options <package>.msi PROPERTY=VALUE

The following table lists several command-line properties. The command- line options are case sensitive. For a complete list of properties and an explanation of each, see Microsoft Windows Installer Help.

Windows Installer Command-line Properties
Property | Action
TRANSFORMS= | List of transforms to be applied to the installation database (acad.msi).
ACAD_SILENT_LICENSE=YES | Silent License Agreement.
INSTALLDIR= |

For AutoCAD, use the following syntax for command-line options and properties:

msiexec /I <path>\acad.msi TRANSFORMS=<path>\<transform name>.mst /qb-
To use Msiexec.exe to deploy AutoCAD packages
  1. On the Start menu (Windows), click All Programs (or Programs) [image] System Management Server [image] SMS Administrator Console.
  2. In the SMS console window, in the Tree pane, click the Systems Management Server folder, and then click the plus sign (+) next to the Site Database folder.
  3. In the Tree pane, click the plus sign (+) next to the Packages folder to expand it. The defined packages are displayed in the Tree pane. Click the package you created earlier. In the Name pane, the Access Accounts, Distribution Points, and Programs folders are displayed.
  4. In the Name pane, right-click the Programs folder. On the shortcut menu, click New [image] Program.
  5. In the Program Properties dialog box, on the General tab, enter the following:
    • In the Name box, enter a name for the program. The name of the program must be unique because it is used when defining advertisements. On client computers, the name is displayed in the Control Panel (Windows), in the Advertised Programs folder.
    • In the Comment box, enter any comments you want to add. Text in the Comment box is displayed on client computers in the Advertised Programs Monitor dialog box, or in the Advertised Programs wizard Control Panel applets.
    • In the Command Line box, enter a command using Windows Installer command-line syntax. For AutoCAD, use the following syntax:

    Msiexec /I <path>\acad.msi TRANSFORMS=<path>\<deployname>.mst/qb-

    Replace <path> with the source directory or location of your administrative image that you created with the Deployment wizard. You must use the UNC naming convention. Replace <deployname> with the name of the deployment you created with the Deployment wizard. You must use the .mst file extension.

  6. Click the Requirements tab. In the Estimated Disk Space box, specify at least 350 MB. Select the This List Can Run Only on Specified Platforms option. Select the following platforms from the list:
    • All x86 Windows 2000 clients
    • All x86 Windows XP Professional clients
    • x86 Windows 2000 original release clients
    • x86 Windows 2000 Service Pack 1 clients
    • x86 Windows 2000 Service Pack 2 clients
  7. Click the Environment tab. In the Program Can Run list, select Only When a User Is Logged On, and then select the User Input Required option. Under Run Mode, select the Run with Administrative Rights option if your users do not have administrative privileges on their computer. Under Drive Mode, select Runs with UNC Name.
  8. Click Apply, and then click Close. In the SMS console window, in the Tree pane, click the Programs folder to see your new program in the Name pane.

The package program has now been created. Next, you must create an advertisement for the package.


Create an Advertisement

Use Microsoft Systems Management Server to Install a Deployment
Use Microsoft Systems Management Server to Install a Deployment
Create an Advertisement

SMS uses advertisements to distribute SMS programs to SMS client computers. You create and maintain advertisements by using the SMS Administrator console window.

To create an advertisement for the package
  1. On the Start menu (Windows), click All Programs (or Programs) [image] System Management Server [image] SMS Administrator Console.
  2. In the SMS console window, in the Tree pane, click the Systems Management Server folder, and then click the plus sign (+) next to the Site Database folder.
  3. In the Tree pane, click the Advertisements folder.

    4. The advertised programs are displayed in the Name pane.

  4. In the Tree pane, right-click the Advertisements folder, and on the shortcut menu, click All Tasks [image] Distribute Software.
  5. On the Welcome to the Distribute Software Wizard page of the Distribute Software wizard, click Next.
  6. On the Package page, select the Distribute an Existing Package option, and then, in the Packages list, select AutoCAD. Click Next.
  7. On the Distribution Points page, under Distribution Points, select the server(s) where the package will be distributed from, and then click Next.
  8. On the Advertise a Program page, under Do You Want to Advertise a Program to a Collection, select Yes, and then verify that the program you created earlier is displayed in the Programs list. Click Next.
  9. On the Advertisement Target page, select Advertise the Program to an Existing Collection, and then click Browse. In the Browse Collection dialog box, select the collection you created earlier, and then click OK. On the Advertisement Target page, click Next.
  10. On the Advertisement Name page, in the Name box, enter a name for the advertisement. In the Comment box, enter any comments you want to add. The name and comments are displayed on the client computer. Click Next.
  11. On the Advertise to Subcollections page, you can specify whether the advertisement should also be applied to subcollections. Select the option for your advertisement, and then click Next.
  12. On the Advertisement Schedule page, select Yes or No, depending on whether or not you want the advertisement to expire. Select the expiration date and time, if applicable. Click Next.
  13. On the Assign Program page, select Yes or No, depending on whether you want to assign the program. An assigned program runs automatically if it has not already been run on the SMS client. If you select Yes, you must enter a date and time for when the program becomes assigned. Click Next.
  14. On the Completing the Distribute Software Wizard page, click Finish. In the SMS console window, in the Tree pane, click the Advertisements folder to see your new program in the Name pane.

The Autodesk software is ready to be installed on an SMS client computer.


Install Autodesk Software on the Client Computer

Use Microsoft Systems Management Server to Install a Deployment
Use Microsoft Systems Management Server to Install a Deployment
Install Autodesk Software on the Client Computer

To install the Autodesk software, log on to a computer with the SMS client software installed. The computer must be part of the domain being serviced by the SMS server. If you did not select Run with administrative rights when creating the program, you need to log on to the computer as an administrator.

You can verify that the computer has the SMS client software installed by checking for three Control Panel applets: Systems Management, Advertised Programs, and Advertised Programs Monitor.

Note In Windows XP, you will not see these applets until you switch Control Panel to Classic View.

To install the program on the SMS client computer
  1. On the Start menu (Windows), click Control Panel.
  2. In the Control Panel, double-click Advertised Programs.

    3. The Advertised Programs wizard is started.

  3. On the Welcome to the Advertised Programs Wizard page, click Next.
  4. On the Select Programs to Run page, under Advertised Programs, select the advertised Autodesk program, and then click Next.
  5. On the Run Programs Now or Later page, select the Run the Selected Program Now option, and then click Next.
  6. On the Completing the Advertised Programs Wizard page, click Finish.

The Autodesk software program has been installed with SMS. To explore other methods for installing Autodesk software using SMS, and to read more about the advanced features of SMS, consult the SMS documentation.


Use Remote Installation Services to Install a Deployment

Microsoft Remote Installation Service (RIS) can be used to install this program. The program must be included in the RIS image used for the initial setup and configuration of computers. Using RIS can ease the deployment of the Autodesk software throughout an enterprise network by eliminating the need to physically attend to each client computer during installation and configuration. RIS is part of the Windows 2000 Server and Windows 2003 Server operating systems.

In order for AutoCAD to run properly, the following software must be installed on the computer where the program is being installed:

  • Microsoft .NET 1.1 Service Pack 1 (available on the product CD)
  • Microsoft Internet Explorer version 6.0 Service Pack 1 or later (You can download Microsoft Internet Explorer from the Microsoft website by visiting www.microsoft.com).
  • Microsoft Installer Package (MSI) 3.0
  • Macromedia Flash™ Player 7.0.19.0
  • Autodesk DWF Viewer®
  • Microsoft Data Access Components (MDAC) 2.7

Topics in this section:

  • Introduction
  • Requirements for RIS Deployment
  • Create and Deploy an RIS Image


Introduction

Use Remote Installation Services to Install a Deployment
Use Remote Installation Services to Install a Deployment
Introduction

RIS sets up a new workstation or restores a client computer to a known state using an image that contains operating system files and other applications, such as AutoCAD®.

Warning The RIS image overwrites all data on the client computer.

The RIS image is stored on a server that the client computer accesses during its boot-up process.

You can set up the base computer in one of three ways:

  • Use RIS with the Remote Installation Preparation wizard (RIPrep) to include AutoCAD and AutoCAD-based products as part of the base RIS image.
  • Use the Deployment wizard to install the program to the base computer before the RIS image is created.
  • Preconfigure the program, install supporting applications, and set up company standards before creating the RIS image.

The following table outlines the advantages and disadvantages of using RIS.

Advantages | Disadvantages
Provides initial workstation setup and configuration. | Cannot be used to install the program on an existing workstation.
Can be used for disaster recovery (setup) of computer. | Is cumbersome to set up.
Can be used with the product CD or a deployment created by the Deployment wizard. | Supports only a single disk partition (Microsoft Remote Installation Preparation wizard limitation).
Can configure the installation to adhere to company standards. |
Does not require the destination computer to have the same hardware as the computer used to create the image. (Exception: The Hardware Abstraction Layer (HAL) drivers must be the same. For example, either both computers must be ACPI-based, or both must be non-ACPI-based.) |


Requirements for RIS Deployment

Use Remote Installation Services to Install a Deployment
Use Remote Installation Services to Install a Deployment
Requirements for RIS Deployment

If you plan to use RIS to deploy an AutoCAD-based product, be aware of the following requirements for creating and installing RIS images on a client computer.

Topics in this section:

  • RIS Server Requirements
  • Base Computer Requirements
  • Client Installation Requirements


RIS Server Requirements

Use Remote Installation Services to Install a Deployment
Use Remote Installation Services to Install a Deployment
RIS Server Requirements

Before you can create an RIS image, you must set up, configure, and run the RIS server, as follows:

  • The drive that stores the RIS server files and RIS images must be formatted with the NTFS file system.
  • RIS images require a significant amount of disk space because they contain all files needed to set up a computer, including the operating system and all applications to be installed.
  • RIS cannot store RIS images on the same drive or partition on which the Windows® 2000 Server or Windows® 2003 Server operating system is installed.

RIS requires that several other services be installed on your network. Depending on your network design, these services can be installed on a single server or on individual servers. These services are as follows:

  • Domain Name Service (DNS) server. DNS locates the directory service and client machine accounts.
  • Dynamic Host Configuration Protocol (DHCP) server. A DHCP server must be present and active on the network. The remote boot-enabled client computers receive an IP address from the DHCP server before they contact the RIS server.
  • Active Directory. A Windows 2000 or Windows 2003 Active Directory locates both the existing client machines and the existing RIS servers. You must install RIS on a Windows 2000- or 2003-based server that has access to Active Directory.

For information about setting up an RIS server, consult the Microsoft® documentation.


Base Computer Requirements

Use Remote Installation Services to Install a Deployment
Use Remote Installation Services to Install a Deployment
Base Computer Requirements

Before you create an RIS image that contains AutoCAD or AutoCAD-based products, make sure that a clean operating system is installed on the base computer that will be used to create the image.

To prepare for the creation of an RIS image, be sure to consider the following:

  • Do not use an existing production computer to create an RIS image. It might contain unneeded data files and applications.
  • Configure the base computer to a set of company standards before the image is created.
  • Configure the base computer for a single partition. RIS images do not support multiple partitions.
  • Install the operating system first. Then install the program using the Deployment wizard or by using the product CD.
  • Install additional applications as needed.
  • After all applications have been installed and configured, create the RIS image that will be used to set up additional computers.


Client Installation Requirements

Use Remote Installation Services to Install a Deployment
Use Remote Installation Services to Install a Deployment
Client Installation Requirements

The client computer network adapter must meet one of the following requirements:

  • The adapter must be supported by the RIS boot floppy. This network adapter must be able to contact the RIS server at startup in order to install software on the computer. During the startup process, the computer requests a network service boot from the remote installation server on the network. Once contacted, the RIS server prompts users to press F12 to download the Client Installation wizard.

Note You can create a remote installation boot floppy by running the RBFG.exe program from the remote installation server.

  • The adapter uses PXE DHCP-based boot ROM version.99c or greater.

The Client Installation wizard helps the user install an RIS image, which sets up and configures the workstation.


Create and Deploy an RIS Image

Use Remote Installation Services to Install a Deployment
Use Remote Installation Services to Install a Deployment
Create and Deploy an RIS Image

You use a four-step process to create the RIS image, which contains AutoCAD or AutoCAD-based products, and install it on a client computer.

  • Set up a base computer with a clean operating system.
  • Install AutoCAD on the base computer.
  • Create the RIS image on the server using Microsoft Remote Installation Preparation wizard.
  • Install the RIS image on the client computer.

Topics in this section:

  • Set Up a Base Computer
  • Install the AutoCAD-Based Product
  • Create the RIS Image
  • Install the RIS Image on Client Computers


Set Up a Base Computer

Use Remote Installation Services to Install a Deployment
Use Remote Installation Services to Install a Deployment
Set Up a Base Computer

The installations, applications, and configuration settings on the base computer are used to create a base image that is replicated and made available from the RIS server on the network.

Because RIS currently supports replication of only a single disk partition, the operating system and all applications that make up the standard installation must reside on the C drive of the base computer before you run the Remote Installation Preparation wizard (RIPrep.exe). The Remote Installation Preparation wizard uses the new Plug-and-Play support that ships with Windows 2000 to detect differences between the source and the destination computers during image replication.

To prepare for image replication, use a base image from the RIS server to install the Windows 2000 operating system or Windows XP operating system on a clean base computer. If you use the operating system CD to set up the base computer, the operating system image must either reside on the RIS server already or be added.

Note You must update RIPrep.exe before you can run it under Windows XP. See Microsoft Knowledge Base article Q313069 for more information.


Install the AutoCAD-Based Product

Use Remote Installation Services to Install a Deployment
Use Remote Installation Services to Install a Deployment
Install the AutoCAD-Based Product

After the operating system is installed, install AutoCAD and any other applications needed on the computer.

If you issue licenses from the Network License Manager, use the Deployment wizard. See Use the Deployment Wizard.

If you use a stand-alone license, install AutoCAD from the product CD. CAD managers and IT administrators who use this method must ensure that the number of licenses deployed across the network matches the number of licenses purchased. The Deployment wizard can also deploy stand-alone licenses.


Create the RIS Image

Use Remote Installation Services to Install a Deployment
Use Remote Installation Services to Install a Deployment
Create the RIS Image

After all software has been installed and configured, create the RIS image.

Warning If you install an International version of AutoCAD, do not run it before creating your RIS image. The SafeCast Software License Management utility used in AutoCAD must not be initialized before the RIS server image is created. If that utility is initialized, AutoCAD fails to run on the computer on which the image has been deployed.

To create an RIS image
  1. Locate the RIS server on which you will replicate the image.
  2. Run the Remote Installation Preparation wizard (RIPrep.exe), located in the RIS Server REMINST\Admin\I386 folder.
  3. Follow the steps in the wizard to create the image.


Install the RIS Image on Client Computers

Use Remote Installation Services to Install a Deployment
Use Remote Installation Services to Install a Deployment
Install the RIS Image on Client Computers

When the wizard is completed, the RIS image can be installed on client computers.

To install a remote installation server image to a client computer
  1. Restart the client computer from the remote installation boot floppy or use the PXE boot ROM.
  2. At the prompt, press F12 to download the Client Installation wizard.
  3. Follow the steps in the wizard to install the image.


Glossary

activate

Part of the Autodesk software registration process, it allows you to run a product in compliance with the product’s end-user license agreement.

Active Directory

A directory service from Microsoft that is part of Windows 2000 and Windows 2003 Server.

administrative image

A collection of shared file resources created by the Deployment wizard and used by deployments to install the program to network workstations. Service packs (patches) can be applied to an administrative image using the Deployment wizard.

advertising

A pull technology that notifies users of an updated software product that is available for installation. Users typically double-click a shortcut (or do a similar operation) to complete the installation of the advertised product.

AutoCAD startup accelerator (acstart16.exe)

A runtime process that can accelerate the initial startup of AutoCAD.

deploy

The process of installing an Autodesk product to one or more computers on a network.

deployment

A link to a unique MST (Microsoft Transform) file that serves as a basis for an installation. Using the Deployment wizard, administrators can create multiple deployments that result in different types of installations for users.

directory service

A network service that identifies all resources on a network and makes them accessible to users and applications. Resources include email addresses, computers, and peripheral devices such as printers. Ideally, the directory service should make the physical network topology and protocols transparent so that a user on a network can access any resource without knowing where or how it is physically connected. Virtually all directory services are based on the X.500 ITU standard.

FLEXlm

License management technology from Macrovision Software, Inc. FLEXlm provides administrative tools that help to simplify management of network licenses. FLEXlm can be used to monitor network license status, reset licenses lost to a system failure, troubleshoot license servers, and update existing license files.

group policy

Microsoft server technology that provides a way to do push installations and advertising-based installations using standard Microsoft 2000 Server administration components.

installation image

A deployment that consists of an MSI file, any associated transforms, additional user-specified custom files, and profile and registry settings.

MSI

Microsoft installer that supports a variety of parameters that can be scripted.

MSP

Microsoft patch file (see patch).

MST

Microsoft transform file. Modifies the components installed by the MSI file. For example, the Deployment wizard creates an MST file with the settings that you specify. The deployment created by the Deployment wizard uses the MST file in conjunction with the MSI file and MSIEXEC to install the program on local workstations.

multi-seat stand-alone installation

A type of installation where multiple stand-alone seats of the program are installed using a single serial number.

partial profile

A profile that contains partial registry information corresponding to a subset of the options available from the Files tab of the Options dialog box.

patch

A software update to an application.

power user

A user with rights to access and write to the Program Files folder and the HKEY_Local_Machine folder of the registry.

pull technology

An installation technology that requires user interaction to complete the installation.

push technology

An installation technology that installs files to a remote desktop without any user interaction.

RIS

Remote Installation Services. A Microsoft server-based technology that allows unattended remote installations of software applications.

scripting

The process of using scripting languages such as VB Script to facilitate the deployment of software packages.

service pack

Autodesk terminology for an application patch.

silent installation

An installation that proceeds without any explicit user input. No dialog boxes are presented that require interaction from the user.

SMS

Microsoft Systems Management Server. A tool that helps administer networked machines by allowing remote configuration, push deployments, and user administration. SMS is an expensive technology that must be purchased as an additional server.

transform

See MST.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!